<?php

namespace App\Http\Controllers;

use App\Models\Department;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

use function PHPUnit\Framework\returnSelf;

class DepartmentController extends Controller
{
    function index()
    {
        $departments = Department::where('company_id', auth()->user()->company_id)->latest()->get();
        return view('department.DepartmentIndex', compact('departments'));
    }
    function create()
    {
        return view('department.DepartmentCreate');
    }
    function add(Request $request)
    {
        $validateIunputs = $request->validate([
            'name' => 'required'
        ]);
        $validateIunputs['company_id'] = auth()->user()->company_id;
        Department::create($validateIunputs);
        return redirect(route('department.index'))->with('message', 'department created successfully');
    }

    function edit(Department $department)
    {
        return view('department.DepartmentCreate', compact('department'));
    }

    function update(Request $request, Department $department)
    {
        $validateIunputs = $request->validate([
            'name' => 'required'
        ]);
        $department->update($validateIunputs);
        return redirect(route('department.index'))->with('message', 'department updated successfully');
    }
}
