<?php

namespace App\Http\Controllers;

use App\Models\Industry;
use Illuminate\Http\Request;

class IndustryController extends Controller
{
    function index()
    {
        $Industries = Industry::latest()->get();
        return view('Industry.IndustryIndex', compact('Industries'));
    }
    function create()
    {
        return view('Industry.IndustryCreate');
    }
    function add(Request $request)
    {
        $validateIunputs = $request->validate([
            'name' => 'required'
        ]);
        Industry::create($validateIunputs);
        return redirect(route('industry.index'))->with('message', 'Industry created successfully');
    }

    function edit(Industry $industry)
    {
        return view('Industry.IndustryCreate', compact('industry'));
    }

    function update(Request $request, Industry $Industry)
    {
        $validateIunputs = $request->validate([
            'name' => 'required'
        ]);
        $Industry->update($validateIunputs);
        return redirect(route('industry.index'))->with('message', 'Industry updated successfully');
    }

    public function checkEmail(Request $request)
    {
        $name = $request->input('name');
        $id = $request->input('id');

        // Query to check if the name is already taken, ignoring the current industry if an ID is provided
        $query = Industry::where('name', $name);

        // If an ID is provided, exclude the current industry from the query
        if ($id) {
            $query->where('id', '!=', $id);
        }

        $existingIndustry = $query->first();

        if ($existingIndustry) {
            return response()->json(['available' => false]);
        }

        return response()->json(['available' => true]);
    }
}
