<?php

namespace App\Http\Controllers;

use App\Models\Company;
use App\Models\Invite;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use App\Jobs\SendInvitationEmail;



class InviteController extends Controller
{
    function index()
    {
        $invites = Invite::latest()->get();
        return view('invite.InviteIndex', compact('invites'));
    }

    function create()
    {
        return view('invite.InviteCreate');
    }


    // YourController.php


    function sendInvites(Request $request)
    {
        $companyCode = Company::where('id', auth()->user()->company_id)->value('company_code');
        $link = env('WEB_URL') .  '/share-link/' . $companyCode;

        if ($request->emails) {
            foreach ($request->emails as $email) {
                SendInvitationEmail::dispatch($email, $link, $companyCode);

                // Create or update invite record
                Invite::updateOrCreate([
                    'email' => $email,
                    'user_id' => auth()->user()->id,
                    'company_id' => auth()->user()->company_id,
                ]);
            }

            return redirect(route('invite.index'))->with('success', 'Invitations sent successfully');
        } else {
            return redirect()->back()->with('error', 'Email is required');
        }
    }

    function delete(Invite $invite)
    {
        $invite->delete();
        return redirect(Route('invite.index'))->with('message', 'invite deleted Successfully');
    }
}
