<?php

namespace App\Http\Controllers;

use App\Models\Setting;
use Illuminate\Http\Request;

class SettingController extends Controller
{
    function index()
    {
        $settings = Setting::get();
        return view('setting.setting', compact('settings'));
    }

    public function update(Request $request)
    {
        // Validate the request data
        $request->validate([
            'facebook_link' => 'url',
            'instagram_link' => 'url',
            'google_link' => 'url',
        ]);

        // Loop through the request data and update settings based on type
        foreach ($request->all() as $key => $value) {
            // Check if key ends with '_link'
            if (substr($key, -5) === '_link') {
                // Extract type from key
                $type = substr($key, 0, -5);

                // Find the setting by type and update the link
                $setting = Setting::where('type', $type)->firstOrFail();
                $setting->link = $value;
                $setting->save();
            }
        }
        // Redirect back or return a response
        return redirect()->back()->with('message', 'Settings updated successfully.');
    }
}
