<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Models\Company;
use App\Models\Industry;
use App\Models\Department;
use Illuminate\Http\Request;
use Illuminate\Routing\Route;

class UserProfileController extends Controller
{
    function userProfileForm()
    {
        if (auth()->user()->user_role == 'sub_admin') {
            $industries = Industry::get();
            $user = User::with('company.departments', 'company.industry')->where('id', auth()->user()->id)->first();
            return view('auth.SubAdminProfileupdate', compact('user', 'industries'));
        } else {
            return view('auth.UserProfileForm', ["profile" => auth()->user()]);
        }
    }

    function userProfileUpdate(Request $request)
    {
        // return $request;
        if (auth()->user()->user_role == 'admin') {
            $id = auth()->user()->id;
            $validated = $request->validate([
                'full_name' => 'required',
                'email' => 'required|email',
            ]);
            user::where('id', $id)->update([

                'first_name' => $request->full_name,
                'email' => $request->email,
            ]);
            return redirect(Route('userProfile.Form'))->with('message', 'Profile Updated Successfully');
        } else {
            $user = User::with('company.departments')->where('id', auth()->user()->id)->first();
            $company_inputs['title'] = $request->companyName;
            $company_inputs['industry_id'] = $request->industry_id;
            $company_inputs['address'] = $request->address;
            $company_inputs['website'] = $request->website;
            $company_inputs['contact_name'] = $request->contactName;
            $company_inputs['employees'] = $request->totalEmployees;
            $company_inputs['invoice_contact'] = $request->invoice_contact;
            $company_inputs['invoice_Email_address'] = $request->invoice_Email_address;
            // return $user->company_id;
            $company = Company::where('id', $user->company_id)->update($company_inputs);
            //   user update
            $input['phone'] = $request->contactTelephone;
            $input['last_name'] = $request->contactName;
            $input['first_name'] = $request->companyName;
            if ($request->hasFile('media')) {
                $input['profile_image'] = $this->media($request, 'company');
            }
            $user->update($input);
            // department create
            if ($request->department) {
                foreach ($request->department as $department) {
                    Department::create(['company_id' => $user->company_id, 'name' => $department]);
                }
            }
            return redirect(route('userProfile.Form'))->with('message', 'profile updated successfully');
        }
    }
}
