<?php

namespace App\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Mail;

class SendInvitationEmail implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    protected $email;
    protected $link;
    protected $companyCode;

    public function __construct($email, $link, $companyCode)
    {
        $this->email = $email;
        $this->link = $link;
        $this->companyCode = $companyCode;
    }

    public function handle()
    {
        // Construct email message
        $message = "Hello,\n\nYou have been invited to join our platform. Please use the following link to register:\n\n";
        $message .= $this->link . "\n\n";
        $message .= "Company Code: " . $this->companyCode . "\n\n";
        $message .= "Regards,\nYour Team";

        // Send email
        Mail::raw($message, function ($mail) {
            $mail->to($this->email)
                ->from('noreply@bizzfeed.com', 'Bizz Feed')
                ->subject('Invitation to join our platform');
        });
    }
}
