<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Company extends Model
{
    use HasFactory;
    protected $fillable = [

        'title',
        'company_code',
        'contact_name',
        'industry_id',
        'address',
        'registration',
        'website',
        'employees',
        'poll_limit',
        'invoice_Email_address',
        'invoice_contact',
    ];

    /**
     * Get all of the comments for the Company
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function departments()
    {
        return $this->hasMany(Department::class);
    }
    public function industry()
    {
        return $this->belongsTo(Industry::class, 'industry_id');
    }
    public function indust()
    {
        return $this->belongsTo(Industry::class, 'industry_id');
    }
    public function polls()
    {
        return $this->hasMany(Poll::class, 'company_id');
    }
}
