<?php

namespace App\Models;

use App\Models\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Incident extends Model
{
    use HasFactory;
    protected $fillable = [

        'user_id',
        'company_id',
        'name',
        'email',
        'phone',
        'date',
        'time',
        'location',
        'description',
        'media',
        'status',
        'resolved_at',
    ];





    protected $appends = [
        'DepartmentName',
    ];



    public function getDepartmentNameAttribute()
    {
        return optional($this->user->department)->name ?? 'Unknown';
    }




    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
}
