<?php

namespace App\Models;

use App\Models\React;
use App\Models\NewsFeedsMedia;
use App\Models\NewsFeedReachUser;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class NewsFeed extends Model
{
    use HasFactory;
    protected $fillable = [
        'user_id',
        'company_id',
        'description',
    ];

    public function likes()
    {
        return $this->morphMany(React::class, 'reactable')->where('reaction', true);
    }

    function user()
    {
        return $this->belongsTo(User::class, 'user_id')->select('id', 'first_name', 'last_name', 'user_name', 'profile_image');
    }

    function media()
    {
        return $this->hasMany(NewsFeedsMedia::class);
    }
    function reach()
    {
        return $this->hasMany(NewsFeedReachUser::class);
    }
    function comments()
    {
        return $this->hasMany(Comment::class);
    }
}
