<?php

namespace App\Models;

use App\Models\ClickThroughRate;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Poll extends Model
{
    use HasFactory;
    protected $fillable = [
        'company_id',
        'department_id',
        'question',
        'start_date',
        'end_date',
        'is_stock',
        'type',
        'reason',
        'status',
        'user_id',
        'color',

    ];
    // protected $appends = [
    //     'CompanyTitle',
    // ];



    // public function getCompanyTitleAttribute()
    // {
    //     return $this->company ? $this->company->title : 'Unknown';
    // }


    public function answers()
    {
        return $this->hasMany(PollAnswer::class);
    }
    public function company()
    {
        return $this->belongsTo(company::class, 'company_id');
    }

    public function pollStatus()
    {
        return $this->hasOne(StockPollPrivacy::class)->where('user_id', auth()->user()->id);
    }

    public function clickThroughRate()
    {
        return $this->morphMany(ClickThroughRate::class, 'clickable');
    }
}
