<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PollAnswer extends Model
{
    use HasFactory, SoftDeletes;
    protected $fillable = [
        'poll_id',
        'answer',
        'emoji',
        'grade',
        'color'
    ];

    public function reactCounts()
    {
        return $this->morphMany(React::class, 'reactable');
    }
    public function reacts()
    {
        return $this->hasMany(React::class, 'reactable_id')->where('reactable_type', PollAnswer::class);
    }
}
