<?php

namespace App\Models;

use App\Models\Reaction;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Post extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'user_id',
        'description',
        'atmosphere',
        'food_quality',
        'service'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
    public function postedBy()
    {
        return $this->belongsTo(User::class, 'user_id')->select('id', 'full_name');
    }

    // public function postImages()
    // {
    //     return $this->hasMany(PostImages::class);
    // }

    // public function postReacts()
    // {
    //     return $this->hasMany(Reaction::class);
    // }
    public function reactionPost()
    {
        return $this->morphMany(Reaction::class, 'recordable')->where('reaction', 1);
    }
    public function comments()
    {
        return $this->morphMany(Comment::class, 'commentable');
    }
}
