<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PostImages extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'post_id',
        'media'
    ];

    protected $append = [
        'media_url'
    ];

    public function getMediaUrlAttribute()
    {
        return $this->media ? env('MEDIA_URL') . $this->media : null;
    }

    public function post()
    {
        return $this->belongsTo(Post::class);
    }
}
