<?php

namespace App\Models;

use App\Models\React;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Suggestion extends Model
{
    use HasFactory;
    protected $fillable = [

        'user_id',
        'company_id',
        'description',
        'media_type',
        'media',
        'reason',
        'status',

    ];

    protected $appends = [
        'DepartmentName',
    ];



    public function getDepartmentNameAttribute()
    {
        return $this->user->department ? $this->user->department->name : 'Unknown';
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function likes()
    {
        return $this->morphMany(React::class, 'reactable')->where('reaction', true);
    }
    public function dislikes()
    {
        return $this->morphMany(React::class, 'reactable')->where('reaction', false);
    }
}
