<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('user_devices', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')
                ->constrained()
                ->onDelete('cascade');
            $table->string('udid')->nullable();
            $table->string('device_token')->nullable();
            $table->enum('device_type', ['web', 'android', 'ios'])->nullable();
            $table->string('access_token', 500)->nullalbe();
            $table->string('device_brand')->nullable();
            $table->string('device_os')->nullable();
            $table->string('app_version')->nullable();
            $table->tinyInteger('notifications')->default(1);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('user_devices');
    }
};
