<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('full_name')->nullable();
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->string('username')->nullable();
            $table->text('bio')->nullable();
            $table->string('profile_image')->nullable();
            $table->string('social_id')->nullable();
            $table->enum('provider', ['google', 'apple'])->nullable();
            $table->string('forgot_token')->nullable();
            $table->string('customer_stripe_id')->nullable();
            $table->enum('user_type', ['admin', 'user'])->default('user');
            $table->enum('status', ['0', '1'])->nullable(true)->default('0'); // 0-block, 1-unblock 
            $table->rememberToken();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('users');
    }
};
