@extends('layouts.master')
@section('contain')
     {{-- title --}}
     <div class="row page-titles">
        <div class="col-md-5 align-self-center">
        @if (isset($banner))
            <h4 class="card-title">Update Banner</h4>
        @else
            <h4 class="card-title">Add Banner</h4>
        @endif
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active"><a class="text-cyan" href="{{ url('/') }}">Home</a></li>
                    <li class="breadcrumb-item active">
                        <a href="{{ Route('banner.list') }}" class="text-cyan">Bannner</a>
                    </li>
                </ol>
            </div>
        </div>
    </div>
    {{-- end title --}}
    <div class="row">
        <div class="col-12">
            <div class="card card-body">
                <div class="row">
                    <div class="col-sm-6 col-xs-12">
                        @if (isset($banner))
                            <form method="POST" action="{{ Route('banner.update',$banner->id) }}" enctype="multipart/form-data">
                                @csrf
                                @method('PUT')
                         @else
                                <form method="POST" action="{{ Route('banner.add') }}" enctype="multipart/form-data">
                                @csrf
                        @endif

                        <div class="form-group">
                            <label for="name"  class="font-bold">Title</label>
                            {{-- {{ $banner->name ?? '' }} --}}
                            <input type="text"   name="title" value="{{old('title' , @$banner['title'])}}"
                                class="form-control @error('title') is-invalid @enderror" id="exampleInputEmail111"
                                placeholder="Enter title">
                            @error('title')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        {{-- <div class="form-group">
                            <label for="name" class="form-label">Type</label>
                            <input type="text" name="type" value="{{ $banner->type ?? '' }}"
                                class="form-control @error('type') is-invalid @enderror" id="exampleInputEmail111"
                                placeholder="Enter type">
                            @error('type')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div> --}}
                        {{-- <div class="form-group">
                            <label for="name" class="font-bold">Type</label>
                            <input  type="text" value="{{$banner->type??""}}" name="type"  class="@error('name') is-invalid @enderror form-control " aria-label="form-select-lg example" id="choice"> --}}
                                {{-- <option value="page" @selected($banner->type == 'page')>page</option>
                                <option value="web" @selected($banner->type == 'web')>web</option>
                            </select>
                            @if($errors->first('type'))
                            <p class="text-danger" style="font-size: 80%" >
                                <strong>{{ $errors->first('type') }}</strong>
                            </p>
                            @endif --}}
                            {{-- <input type='text' id="other" class="hidden" /> --}}
                            {{-- <label  for="formFile" class="form-label">Media</label> --}}
                            {{-- @error('type')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                        @enderror
                        </div> --}}
                        <div class="form-group">
                            <label class="font-bold">Media</label>
                            <input name="media" class="form-control" type="file" accept="image/*">
                            @if($errors->all('media'))
                            <p class="text-danger">
                                <strong>{{ $errors->first('media') }}</strong>
                            </p>
                            @endif
                            @if(@isset($banner))
                            <td><a href="{{ URL::asset($banner->media != null ?  env("MEDIA_URL").$banner->media : null) }}"
                                target="_blank">
                                 <img src="{{ $banner->media != null ? env("MEDIA_URL").$banner->media : null }}"alt="Not Available"
                                    width="50px" class="img-circle">
                                </a>
                            </td>
                            @endif
                        </div>

                        {{-- <div class=" form-group">
                            <label class="font-bold">Description</label>
                            <textarea  id="mymce"  placeholder="Add Description" class="form-control @error('description') is-invalid @enderror"
                                name="description" rows="5">{!! old('description') , @$banner['description']!!}</textarea>
                            @error('description')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div> --}}
                        @if (isset($banner))
                            <button type="submit" class="btn btn-info me-2 text-white">Update</button>
                        @else
                            <button type="submit" class="btn btn-success me-2 text-white">Submit</button>
                        @endif
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        $(document).ready(function() {
            var selected = $('#choice').val();
            if(selected == "page" || selected == "web" ){
                $('#other').css({ "display": "none" });
            }else{
                $('#other').css({ "display": "block" });
            }

            $('#choice').change(function(){
                var selected_item = $(this).val()
                if(selected_item == "page" || selected_item == "web" ){
                    // $('#other').val("").hideClass('hidden');
                    $('#other').css({ "display": "none" });
                }else{
                    $('#other').css({ "display": "block" });
                    // $('#other').val(selected_item).addClass('hidden');
                }
            });
        });

    </script>
@endsection
