@extends('layouts.master')
@section('contain')
     {{-- title --}}
     <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            @if (isset($content))
            <h4 class="card-title">Update Content</h4>
        @else
            <h4 class="card-title">Add Content</h4>
        @endif
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active"><a class="text-cyan" href="{{ url('/') }}">Home</a></li>
                    <li class="breadcrumb-item active">
                        <a href="{{ Route('content.list') }}" class="text-cyan">Content</a>
                    </li>
                </ol>
            </div>
        </div>
    </div>
    {{-- end title --}}
    <div class="row">
        <div class="col-12">
            <div class="card card-body">
                <div class="row">
                    <div class="col-sm-8 col-xs-8">
                        @if (isset($content))
                            <form method="POST" action="{{ Route('content.update',$content->id) }}" enctype="multipart/form-data">
                                @csrf
                                @method('PUT')
                         @else
                                <form method="POST" action="{{ Route('content.add') }}" enctype="multipart/form-data">
                                @csrf
                        @endif

                        <div class="form-group">
                            <label for="name"  class="font-bold">Name</label>
                            {{-- {{ $content->name ?? '' }} --}}
                            <input type="text" readonly   name="name" value="{{ $content->name ?? '' }}"
                                class="form-control @error('name') is-invalid @enderror" id="exampleInputEmail111"
                                placeholder="Enter name">
                            @error('name')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="form-group ">
                            <label class="font-bold">Image*</label>
                            <input type="file" name="media" accept="image/*" id="images" multiple class="form-control"
                                {{ !isset($content) ? 'required' : '' }}>

                            <div class="existing-images form-group col-md-12 mt-3">
                                {{-- <h5>Existing Images</h5> --}}
                                @if (isset($content))
                                    <div style="position: relative;">
                                        <img id="existing-image" src="{{ env('MEDIA_URL') . $content->media }}"
                                            class="img-thumbnail" style="width: 100px; height: 100px; object-fit: cover;">
                                    </div>
                                @else
                                    <div id="div-create" style="position: relative;display: none">
                                        <img id="existing-image-create" class="img-thumbnail"
                                            style="width: 100px; height: 100px; object-fit: cover;">
                                    </div>
                                @endif
                                <input type="hidden" id="deleted_image_ids" name="deleted_image_ids" value="">
                            </div>
                        </div>
                        <div class=" form-group">
                            <label class="font-bold">Description</label>
                            <textarea  id="editor"  placeholder="Add Description" class="form-control @error('description') is-invalid @enderror"
                                name="description" rows="5">{{ $content->description ?? '' }}</textarea>
                            @error('description')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        @if (isset($content))
                            <button type="submit" class="btn btn-info me-2 text-white">Update</button>
                        @else
                            <button type="submit" class="btn btn-success me-2 text-white">Submit</button>
                        @endif
                        {{-- <button type="submit" class="btn btn-dark">Cancel</button> --}}
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        // Check if file input has a value and show image preview

        document.getElementById('images').addEventListener('change', function() {
            var fileInput = this;
            var category = @json($content?? false);
            var existingImage = document.getElementById('existing-image');
            var existingImagecreate = document.getElementById('existing-image-create');
            var divcreate = document.getElementById('div-create');

            if (fileInput.files && fileInput.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    // alert(JSON.stringify(category))
                    if (category !== false) {
                        existingImage.src = e.target.result;
                        existingImage.style.display = "block"; // Show the image
                    } else {
                        existingImagecreate.src = e.target.result;
                        divcreate.style.display = "block"; // Show the image
                    }
                };

                reader.readAsDataURL(fileInput.files[0]);
            } else {
                existingImage.style.display = "none"; // Hide the image if no file is selected
            }
        });
    </script>
    <script>
        $(document).ready(function() {
            var selected = $('#choice').val();
            if(selected == "page" || selected == "web" ){
                $('#other').css({ "display": "none" });
            }else{
                $('#other').css({ "display": "block" });
            }

            $('#choice').change(function(){
                var selected_item = $(this).val()
                if(selected_item == "page" || selected_item == "web" ){
                    // $('#other').val("").hideClass('hidden');
                    $('#other').css({ "display": "none" });
                }else{
                    $('#other').css({ "display": "block" });
                    // $('#other').val(selected_item).addClass('hidden');
                }
            });
        });

    </script>
@endsection
