@extends('layouts.master')
@section('contain')
    {{-- title --}}
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            @if (isset($giveaway))
                <h4 class="card-title">Update Give A Way</h4>
            @else
                <h4 class="card-title">Add Give A Way</h4>
            @endif
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                    {{-- <li class="breadcrumb-item active">User Table</li> --}}
                </ol>
            </div>
        </div>
    </div>
    {{-- end title --}}
    <div class="row">
        <div class="col-12">
            <div class="card card-body">
                <div class="row">
                    <div class="col-sm-6 col-xs-12">
                        @if (isset($giveaway))
                            <form method="POST" action="{{ Route('GiveAway.Update', $giveaway->id) }}"
                                enctype="multipart/form-data" data-parsley-validate>
                                @csrf
                            @else
                                <form method="POST" action="{{ Route('giveaway.create') }}" enctype="multipart/form-data"
                                    data-parsley-validate>
                                    @csrf
                        @endif
                        <div class="form-group col-md-12">
                            <label for="media" class="font-bold">Media*</label>
                            <input required data-parsley-required-message="Media field is required" name="media" class="form-control" type="file" id="other" accept="image/*"
                                multiple />
                            <input type="text" name="redirectValue" hidden id=""
                                value="{{ $redirectValue ?? '' }}">
                            @if ($errors->all('media'))
                                <p class="text-danger">
                                    <strong>{{ $errors->first('media') }}</strong>
                                </p>
                            @endif
                            @if (isset($giveaway))
                                <div class="img-wrap">
                                    <a href="{{ URL::asset($giveaway->image != null ? env('MEDIA_URL') . $giveaway->image : null) }}"
                                        target="_blank">
                                        <img src="{{ $giveaway->image != null ? env('MEDIA_URL') . $giveaway->image : null }}" alt="Not Available"
                                            width="50px" class="img-circle">
                                    </a>
                                </div>
                            @endif
                        </div>
                        <div class="form-group col-sm-12">
                            <label for="title" class="font-bold">Url*</label>
                            <input required type="text" name="url"
                                value="{{ isset($giveaway) ? ($giveaway->url ? $giveaway->url : (old('url') ? old('url') : '')) : (old('url') ? old('url') : '') }}"
                                class="form-control @error('url') is-invalid @enderror" id="exampleInputEmail111"
                                placeholder="Enter url" data-parsley-type="url"
                                data-parsley-pattern="^https?://[\w-]+(\.[\w-]+)+(/[\w-./?%&=]*)?$">
                            @error('url')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="form-group col-sm-12">
                            <label for="title" class="font-bold">Title*</label>
                            {{-- {{ $session->name ?? '' }} --}}
                           <input required data-parsley-required-message="Title field is required"
                           data-parsley-length="[2, 50]"
                           data-parsley-length-message="This value should be between 2 to 50 characters."
                           type="text"
                           name="title"
                           value="{{ isset($giveaway) ? ($giveaway->title ? $giveaway->title : (old('title') ? old('title') : '')) : (old('title') ? old('title') : '') }}"
                           class="form-control @error('title') is-invalid @enderror"
                           id="exampleInputEmail111"
                           placeholder="Enter title">

                            @error('title')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="form-group col-md-12">
                            <label class="font-bold">Description*</label>
                            <textarea required data-parsley-required-message="Description field is required"
                          data-parsley-maxlength="500"
                          data-parsley-maxlength-message="The description should not exceed 500 characters."
                          id=""
                          placeholder="Add Description"
                          class="form-control @error('description') is-invalid @enderror"
                          name="description"
                          rows="5">{{ isset($giveaway) ? ($giveaway->description ? $giveaway->description : (old('description') ? old('description') : '')) : (old('description') ? old('description') : '') }}</textarea>

                            @error('description')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <input type="hidden" value="" id="hfImgDeletedIds" name="imgids" />
                        @if (isset($giveaway))
                            <button type="submit" class="btn btn-info me-2 text-white">Update</button>
                        @else
                            <button type="submit" class="btn btn-success me-2 text-white">Submit</button>
                        @endif
                        {{-- <button type="submit" class="btn btn-dark">Cancel</button> --}}
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        $(document).ready(function() {
            var exampleUrl = "https://www.example.com";
            var errorMessage = "this field is required and  enter a valid HTTP URL. Example: " + exampleUrl;
            $('#exampleInputEmail111').parsley().on('field:error', function() {
                var errorElement = $(this.$element).closest('.form-group').find(
                    '.parsley-errors-list.filled');
                errorElement.html(errorMessage);
            });
        });
    </script>
@endsection
