@extends('layouts.master')
@section('contain')
    {{-- title --}}
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            @if (isset($leader))
                <h4 class="card-title">Update Leader Board</h4>
            @else
                <h4 class="card-title">Add Leader Board</h4>
            @endif
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                    {{-- <li class="breadcrumb-item active">User Table</li> --}}
                </ol>
            </div>
        </div>
    </div>
    {{-- end title --}}
    <div class="row">
        <div class="col-12">
            <div class="card card-body">
                <div class="row">
                    <div class="col-sm-6 col-xs-12">
                        @if (isset($leader))
                            <form method="POST" action="{{ Route('leaderBoard.Update', $leader->id) }}"
                                enctype="multipart/form-data" data-parsley-validate>
                                @method('put')
                                @csrf
                            @else
                                <form method="POST" action="{{ Route('leaderBoard.store') }}"
                                    enctype="multipart/form-data" data-parsley-validate>

                                    @csrf
                        @endif
                        <div class="form-group col-md-12">
                            <label for="media" class="font-bold">Image*</label>
                            <input  data-parsley-required-message="Image field is required" name="image"
                                class="form-control" value="{{  isset($leader) ? $leader->image : null }}" type="file" id="other" accept="image/*"/>
                            @if ($errors->all('image'))
                                <p class="text-danger">
                                    <strong>{{ $errors->first('image') }}</strong>
                                </p>
                            @endif
                            @if (isset($leader))
                                <div class="img-wrap">
                                    <a href="{{ URL::asset($leader->image != null ? env('MEDIA_URL') . $leader->image : asset('images/placeholderimage.png')) }}"
                                        target="_blank">
                                        <img src="{{ $leader->image != null ? env('MEDIA_URL') . $leader->image : asset('images/placeholderimage.png') }}"
                                            alt="Not Available" width="50px" style="height: 50px" class="img-circle">
                                    </a>
                                </div>
                            @endif
                        </div>
                        <div class="form-group col-sm-12">
                            <label for="title" class="font-bold">Title*</label>
                            {{-- {{ $session->name ?? '' }} --}}
                            <input required data-parsley-required-message="Title field is required"
                                data-parsley-length="[2, 50]"
                                data-parsley-length-message="This value should be between 2 to 50 characters."
                                type="text" name="title"
                                value="{{ isset($leader) ? ($leader->title ? $leader->title : (old('title') ? old('title') : '')) : (old('title') ? old('title') : '') }}"
                                class="form-control @error('title') is-invalid @enderror" id="exampleInputEmail111"
                                placeholder="Enter title">

                            @error('title')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="form-group col-sm-12">
                            <label for="title" class="font-bold">Prize*</label>
                            <input required data-parsley-required-message="Prize field is required"
                                data-parsley-pattern="/^[+\de]+$/"
                                data-parsley-pattern-message="Only numeric values, '+' and 'e' are allowed." type="text"
                                name="prize"
                                value="{{ isset($leader) ? ($leader->prize ? $leader->prize : (old('prize') ? old('prize') : '')) : (old('prize') ? old('prize') : '') }}"
                                class="form-control @error('prize') is-invalid @enderror" id="exampleInputEmail111"
                                placeholder="Enter prize" oninput="this.value = this.value.replace(/[^\d]/g, '')">

                            @error('prize')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        @if (!isset($leader))
                            <div class="form-group col-sm-12">
                                <label for="title" class="font-bold">Start Date*</label>
                                {{-- {{ $session->name ?? '' }} --}}
                                <input required data-parsley-required-message="Strat Date field is required" type="date"
                                    name="start"
                                    value="{{ isset($leader) ? ($leader->start ? $leader->start : (old('start') ? old('start') : '')) : (old('start') ? old('start') : '') }}"
                                    class="form-control @error('start') is-invalid @enderror" id="exampleInputEmail111"
                                    placeholder="Enter start">

                                @error('start')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group col-sm-12">
                                <label for="title" class="font-bold">End Date*</label>
                                {{-- {{ $session->name ?? '' }} --}}
                                <input required data-parsley-required-message="End Date field is required" type="date"
                                    name="end"
                                    value="{{ isset($leader) ? ($leader->end ? $leader->end : (old('end') ? old('end') : '')) : (old('end') ? old('end') : '') }}"
                                    class="form-control @error('end') is-invalid @enderror" id="exampleInputEmail111"
                                    placeholder="Enter end">

                                @error('end')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        @endif
                        @if (isset($leader))
                            <button type="submit" class="btn btn-info me-2 text-white">Update</button>
                        @else
                            <button type="submit" class="btn btn-success me-2 text-white">Submit</button>
                        @endif
                        {{-- <button type="submit" class="btn btn-dark">Cancel</button> --}}
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        // $(document).ready(function() {
        //     var exampleUrl = "https://www.example.com";
        //     var errorMessage = "this field is required and  enter a valid HTTP URL. Example: " + exampleUrl;
        //     $('#exampleInputEmail111').parsley().on('field:error', function() {
        //         var errorElement = $(this.$element).closest('.form-group').find(
        //             '.parsley-errors-list.filled');
        //         errorElement.html(errorMessage);
        //     });
        // });
    </script>
@endsection
