@extends('layouts.master')
@section('contain')
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">News Feed Management</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                    {{-- <li class="breadcrumb-item active">User Table</li> --}}
                </ol>
                <a href="{{ Route('newsfeeds.overview') }}"><button type="button"
                        class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="icons-Bar-Chart3"></i> Data Overview</button></a>
                <a href="{{ Route('newsfeeds.create') }}"><button type="button"
                        class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create
                        New</button></a>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            {{-- <h6 class="card-subtitle">Data table example</h6> --}}
            <div class="table-responsive">
                <table id="myTable" class="table table-striped border">
                    <thead>
                        <tr class="text-white" style="background-color: gray">
                            <th>S.No</th>
                            <th>Description</th>
                            <th>Created At</th>
                            {{-- <th>Media</th> --}}
                            <th class="action-hide">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php
                            $num = 1;
                        @endphp
                        @foreach ($newsfeeds as $newsfeed)
                            <tr>
                                <td>{{ $num++ }}</td>
                                <td>{!! $newsfeed->description !!}</td>
                                <td>{{ $newsfeed->created_at->format('d-m-Y') }}
                                </td>
                                <td class="text-canter">
                                    <a title="analytics" href="{{ Route('newsfeed.analyticsview', $newsfeed->id) }}"><i
                                            class="fas fa-chart-line  btn btn-success"></i></a>
                                    <a type="button" href="{{ Route('newsfeed.show', $newsfeed->id) }}">
                                        <i title="view media" class="fas fa-eye btn btn-info"></i>
                                    </a>
                                        <a href="{{ Route('newsfeed.edit', $newsfeed->id) }}"><i title="Edit"
                                                class="far fa-edit btn btn-info"></i></a>
                                        <a title="Delete" onclick="swalll({{ $newsfeed->id }})"><i
                                                class="far fa-trash-alt btn btn-danger"></i></a>
                                        <form id="delete-form-{{ $newsfeed->id }}"
                                            action="{{ Route('newsfeed.delete', $newsfeed->id) }}" method="POST"
                                            class="d-none">
                                            @csrf
                                            @method('DELETE')
                                    </form>
                                    {{-- {{$vid??""}} --}}
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <!-- sample modal content -->
    <div class="modal" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel1">
        <div class="modal-dialog " role="document">
            <div class="modal-content topbar" style="border-radius: 5%;">
                <div class="modal-header">
                    <h4 class="font-bold text-white" id="exampleModalLabel1">News Feed Progress
                    </h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true"></span></button>
                </div>
                <div class="row">
                    <!-- Column -->
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-8">
                                        {{-- <h5 class="card-title">SITES VISITS</h5> --}}
                                        <div id="visitfromworld"></div>
                                    </div>
                                    <div class="col-md-12">
                                        <ul class="country-state slimscrollcountry" id="modal-list">
                                            {{-- <li>
                                                @php
                                                    $percent = (4 / $userCount) * 100;
                                                @endphp
                                                <h2>6350</h2> <small>From India</small>
                                                <div class="pull-right">{{ $percent }}% <i
                                                        class="fa fa-level-up text-success"></i>
                                                </div>
                                                <div class="progress">

                                                    <div class="progress-bar bg-success" role="progressbar"
                                                        aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"
                                                        style="width:{{ $percent }}%; height: 100%;"> <span
                                                            class="sr-only">{{ $percent }}%
                                                            Complete</span></div>
                                                </div>
                                            </li>
                                            <li>
                                                <h2>3250</h2> <small>From UAE</small>
                                                <div class="pull-right">98% <i class="fa fa-level-up text-success"></i>
                                                </div>
                                                <div class="progress">
                                                    <div class="progress-bar bg-dark" role="progressbar" aria-valuenow="50"
                                                        aria-valuemin="0" aria-valuemax="100"
                                                        style="width:98%; height: 100%;;"> <span class="sr-only">98%
                                                            Complete</span></div>
                                                </div>
                                            </li>
                                            <li>
                                                <h2>1250</h2> <small>From Australia</small>
                                                <div class="pull-right">75% <i class="fa fa-level-down text-danger"></i>
                                                </div>
                                                <div class="progress">
                                                    <div class="progress-bar bg-danger" role="progressbar"
                                                        aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"
                                                        style="width:75%; height: 100%;;"> <span class="sr-only">75%
                                                            Complete</span></div>
                                                </div>
                                            </li>
                                            <li>
                                                <h2>1350</h2> <small>From USA</small>
                                                <div class="pull-right">48% <i class="fa fa-level-up text-success"></i>
                                                </div>
                                                <div class="progress">
                                                    <div class="progress-bar bg-info" role="progressbar"
                                                        aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"
                                                        style="width:48%; height: 100%;;"> <span class="sr-only">48%
                                                            Complete</span></div>
                                                </div>
                                            </li>
                                            <li>
                                                <h2>350</h2> <small>From UK</small>
                                                <div class="pull-right">68% <i class="fa fa-level-down text-danger"></i>
                                                </div>
                                                <div class="progress">
                                                    <div class="progress-bar bg-purple" role="progressbar"
                                                        aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"
                                                        style="width:68%; height: 100%;;"> <span class="sr-only">48%
                                                            Complete</span></div>
                                                </div>
                                            </li> --}}
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Column -->
                </div>
                <button type="button" class="btn btn-default text-dark" data-bs-dismiss="modal">Close</button>
                {{-- </div> --}}
            </div>
        </div>
    </div>
    <!-- /.modal -->

    <script>
        // popup method
        function swalll(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary field !",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                        // swal("Poof! Your imaginary file has been deleted!", {
                        //     icon: "success",
                        // });
                    } else {
                        // swal("Your imaginary file is safe!");
                    }
                });


            // alert(id);
        }
    </script>
@endsection
