
@extends('layouts.master')
@section('contain')
{{--  --}}
    <div class="row page-titles" >
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Package Management</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li ><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                    {{-- <li class="breadcrumb-item active">User Table</li> --}}
                </ol>
                <a href="{{ Route('package.swform') }}"><button type="button"
                    class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create
                    New</button></a>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            {{-- <h6 class="card-subtitle">Data table example</h6> --}}
            <div class="table-responsive">
                <table id="myTable" class="table table-striped border dataTable no-footer">
                    <thead>
                        <tr style="background-color: gray " class="text-white">
                            <th>S.No</th>
                            <th>Package Name</th>
                            <th>Per Month</th>
                            <th>Currency</th>
                            <th>Total Amount</th>
                            <th>Number Of Months</th>
                            {{-- <th>Description</th> --}}
                            <th >Action</th>
                        </tr>
                    </thead>
                    @php
                        $num = 1;
                    @endphp
                    <tbody>
                        @foreach ($packages as $package)

                                <td>{{ $num++ }}</td>
                                <td>{{ $package->package_name }}</td>
                                <td>${{ $package->per_month }}</td>
                                <td>{{ $package->currency }}</td>
                                <td>${{ $package->total_amount }}</td>
                                <td>{{ $package->number_of_months }}</td>
                                {{-- <td>{{ $package->description }}</td> --}}
                                <td>
                                    @if ($package->user_type != "admin")
                                    <a href="{{Route('package.edit',$package->id)}}"><i title="Edit" class="far fa-edit" style="font-size:20px"></i></a>
                                        {{-- <a href="{{Route('user.info',$package->id)}}"> <i title="User Info" class="far fa-eye" style="font-size:20px"></i></a> --}}
                                        @else
                                                <i style="text-decoration: underline;">Not Modify</i>
                                        @endif
                                        <a title="delete" class="btn" onclick="swalll({{ $package->id }})"><i class="fa fa-trash" style="font-size:20px"></i></a>
                                        <form id="delete-form-{{ $package->id }}" action="{{ route('package.delete', $package->id) }}" method="POST" class="d-none">
                                        @csrf
                                        @method('DELETE')
                                        </form>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <script>
        function swalll(id)
        {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary file!",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
            .then((willDelete) => {
                if (willDelete) {
                    var formId = "delete-form-" + id;
                    document.getElementById(formId).submit();
                    // swal("Poof! Your imaginary file has been deleted!", {
                    //     icon: "success",
                    // });
                }
                else
                 {
                    // swal("Your imaginary file is safe!");
                 }
                });
        }
    </script>
@endsection
