@extends('layouts.master')
@section('contain')
     {{-- title --}}
     <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            @if (isset($package))
            <h4 class="card-title">Update package</h4>
        @else
            <h4 class="card-title">Add Package</h4>
        @endif
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active"><a class="text-cyan" href="{{ url('/') }}">Home</a></li>
                    <li class="breadcrumb-item active">
                        <a href="{{ Route('package.list') }}" class="text-cyan">Packages</a>
                    </li>
                </ol>
            </div>
        </div>
    </div>
    {{-- end title --}}
    <div class="row">
        <div class="h-100 d-inline-block">
            <div class="card card-body ">
                <div class="row">
                    <div class="col-sm-6 col-xs-6">
                        @if (isset($package))
                            <form method="POST" action="{{ Route('package.update', $package->id) }}" enctype="multipart/form-data">
                                @csrf
                                @method('PUT')
                         @else
                                <form method="POST" action="{{ Route('package.add') }}" enctype="multipart/form-data">
                                @csrf
                        @endif
                        <div class="form-group">
                            <label for="package_name"  class="font-bold">Package Name</label>
                          {{-- {{ $content->full_name ?? '' }} --}}
                            <input type="text" name="package_name"
                                class="form-control @error('package_name') is-invalid @enderror" id="exampleInputEmail111"
                                placeholder="Enter package name" value="{{ old('package_name', @$package['package_name']) }}">
                            @error('package_name')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="profile_image"  class="font-bold">Number Of Month</label>
                            {{-- {{ $content->name ?? '' }} --}}
                            <input name="number_of_months"  type="number" min="1" max="100"
                            class="form-control @error('number_of_months') is-invalid @enderror"
                            placeholder="Select number of month" value="{{old('number_of_months' ,@$package['number_of_months'])}}"  onkeydown="javascript: return ['Backspace','Delete','ArrowLeft','ArrowRight'].includes(event.code) ? true : !isNaN(Number(event.key)) && event.code!=='Space'" />
                            @error('number_of_months')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="form-group">
                            <label for="profile_image"  class="font-bold">Price Per Month</label>
                            {{-- {{ $content->name ?? '' }} --}}
                            {{-- <input type="number" min="0" oninput="validity.valid||(value='');" step="any" name="fuel" class="form-control" /> --}}
                            <input name="per_month"  type="number"
                            class="form-control @error('per_month') is-invalid @enderror"
                            placeholder="Enter Price Per Month" value="{{old('per_month' , @$package['per_month'])}}" min="0" step="any" oninput="validity.valid||(value='');" step="any"/>
                            @error('per_month')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        {{-- <div class="form-group">
                            <label for="email"  class="font-bold">Description</label>
                            <textarea name="description"  cols="30" rows="10" class="form-control @error('description') is-invalid @enderror" >{{old('description' ,@$package['description'])}}</textarea>
                            @error('description')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div> --}}
                        @if (isset($package))
                            <button type="submit" class="btn btn-info me-2 text-white">Update</button>
                        @else
                            <button type="submit" class="btn btn-success me-2 text-white">Submit</button>
                        @endif
                        {{-- <button type="submit" class="btn btn-dark">Cancel</button> --}}
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        function myFunction() {
        var x = document.getElementById("myInput");
        if (x.type === "password") {
            x.type = "text";
        } else {
            x.type = "password";
        }
        }
        $(document).ready(function() {
            var selected = $('#choice').val();
            if(selected == "page" || selected == "web" ){
                $('#other').css({ "display": "none" });
            }else{
                $('#other').css({ "display": "block" });
            }

            $('#choice').change(function(){
                var selected_item = $(this).val()
                if(selected_item == "page" || selected_item == "web" ){
                    // $('#other').val("").hideClass('hidden');
                    $('#other').css({ "display": "none" });
                }else{
                    $('#other').css({ "display": "block" });
                    // $('#other').val(selected_item).addClass('hidden');
                }
            });
        });

    </script>
@endsection
