@extends('layouts.master')
@section('contain')
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Post Detail</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                    <li class="breadcrumb-item active">
                        <a href="{{ Route('get.ReportedPost') }}" class="text-cyan">Reported Posts</a>
                    </li>
                    <li class="breadcrumb-item active">
                        <a href="{{ Route('get.Posts') }}" class="text-cyan">All Posts</a>
                    </li>
                </ol>
                {{-- <a href="{{ Route('address.swform') }}"><button type="button"
                class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create
                New</button></a> --}}
            </div>
        </div>
    </div>
    <div class="container">
        <div class="row">

            <div class="col-lg-6 offset-lg-3">

                <div class="cardbox shadow-lg bg-white">

                    <div class="cardbox-heading">
                        <!-- START dropdown-->
                        {{-- <div class="dropdown float-right">
                            <button class="btn btn-flat btn-flat-icon" type="button" data-toggle="dropdown"
                                aria-expanded="false">
                                <em class="fa fa-ellipsis-h"></em>
                            </button>
                            <div class="dropdown-menu dropdown-scale dropdown-menu-right" role="menu"
                                style="position: absolute; transform: translate3d(-136px, 28px, 0px); top: 0px; left: 0px; will-change: transform;">
                                <a class="dropdown-item" href="#">Hide post</a>
                                <a class="dropdown-item" href="#">Stop following</a>
                                <a class="dropdown-item" href="#">Report</a>
                            </div>
                        </div> --}}
                        <!--/ dropdown -->
                        <div class="media m-0">
                            <div class="d-flex mr-3" style="width: 50px; height: 50px;">
                                <a href="{{ Route('user.info', $postDetail->user->id) }}"><img
                                        class="img-fluid rounded-circle"src="{{ $postDetail->user->profile_image != null ? env('MEDIA_URL') . $postDetail->user->profile_image : asset('images/placeholderprofile.png') }}"alt="User"></a>
                            </div>
                            <div class="media-body">
                                <p style="color: black;" class="m-0">{{ $postDetail->user->full_name }}</p>
                                <small><span style="font-size: x-small"><i class="icon ion-md-time"></i>
                                        {{ date('F d Y', strtotime($postDetail->created_at)) }}</span></small>
                                <br>
                                <small><span><i class="icon ion-md-pin"></i> {{ $postDetail->location }}</span></small>
                                <p style="color: rgb(58, 56, 56);"> {{ $postDetail->description }}</p>
                            </div>
                        </div>
                        <!--/ media -->
                    </div>
                    <!--/ cardbox-heading -->

                    <div class="cardbox-item">
                        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
                            @if (count($postDetail->postimages) > 1)
                                <ol class="carousel-indicators">
                                    @foreach ($postDetail->postimages as $key => $postimage)
                                        <li data-target="#carouselExampleIndicators" data-slide-to="{{ $key }}"
                                            @if ($key == 0) class="active" @endif></li>
                                    @endforeach
                                </ol>
                            @endif

                            <div class="carousel-inner">
                                @foreach ($postDetail->postimages as $key => $postimage)
                                    <div class="carousel-item @if ($key == 0) active @endif">
                                        @php
                                            $extension = pathinfo($postimage->media, PATHINFO_EXTENSION);
                                            switch ($extension) {
                                                case 'jpg':
                                                case 'jpeg':
                                                case 'png':
                                                case 'gif':
                                                case 'PNG':
                                                case 'jfif':
                                                case 'JPEG':
                                                    $mime = 'image/' . $extension;
                                                    echo "<img class='d-block w-100' src='" . (env('MEDIA_URL') . $postimage->media) . "' alt=''>";
                                                    break;
                                                case 'mp4':
                                                case 'webm':
                                                case 'ogg':
                                                    $mime = 'video/' . $extension;
                                                    echo "<video class='d-block w-100' controls>
                                                            <source src='" . (env('MEDIA_URL') . $postimage->media) . "' type='" . $mime . "'>
                                                            Your browser does not support the video tag.
                                                          </video>";
                                                    break;
                                                default:
                                                    echo '<p>Unsupported media type: ' . $extension . '</p>';
                                            }
                                        @endphp
                                    </div>
                                @endforeach
                            </div>

                            @if (count($postDetail->postimages) > 1)
                                <a style="width: 20px;" class="carousel-control-prev" href="#carouselExampleIndicators"
                                    role="button" data-slide="prev">
                                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Previous</span>
                                </a>
                                <a style="width: 20px;" class="carousel-control-next" href="#carouselExampleIndicators"
                                    role="button" data-slide="next">
                                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                    <span class="sr-only">Next</span>
                                </a>
                            @endif
                        </div>
                    </div>

                    <!--/ cardbox-item -->
                    <div class="cardbox-base">
                        <ul class="float-right">
                            <li><a><i class="fa fa-comments"></i></a></li>
                            <li><a><em class="mr-5">{{ $postDetail->comments_count }} Comment</em></a></li>
                        </ul>
                        <ul>
                            <li><a><i class="fa fa-thumbs-up"></i></a></li>
                            <li><a><span>{{ $postDetail->post_reacts_count }} Like</span></a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
