@extends('layouts.master')
@section('contain')
    {{--  --}}
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Reported Posts</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                </ol>
                {{-- <a href="{{ Route('address.swform') }}"><button type="button"
                    class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create
                    New</button></a> --}}
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            {{-- <h6 class="card-subtitle">Data table example</h6> --}}
            <div class="table-responsive">
                <table id="myTable" class="table table-striped border dataTable no-footer">
                    <thead>
                        <tr style="background-color: gray " class="text-white">
                            <th>S.No</th>
                            <th>Reported by</th>
                            <th>Posted by</th>
                            {{-- <th>Reason</th> --}}
                            <th>Title</th>
                            {{-- <th>Location</th> --}}
                            <th>Media</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    @php
                        $num = 1;
                    @endphp
                    <tbody>
                        @foreach ($report_posts as $report_post)
                            <td>{{ $num++ }}</td>
                            <td><a
                                    href="{{ Route('user.info', $report_post->user->id) }}">{{ $report_post->user->full_name }}</a>
                            </td>
                            <td><a
                                    href="{{ Route('user.info', $report_post->recordable->postedBy->id) }}">{{ $report_post->recordable->postedBy->full_name }}</a>
                            </td>
                            {{-- <td>{{ $report_post->description }}</td> --}}
                            <td>{{ $report_post->recordable->title }}</td>
                            <td>
                                @if ($report_post->recordable->media_type == 'image')
                                <a href="{{ URL::asset($report_post->recordable->media != null ? env('MEDIA_URL') . $report_post->recordable->media : 'images/placeholderprofile.png') }}"
                                    target="_blank">
                                    <img src="{{ $report_post->recordable->media != null ? env('MEDIA_URL') . $report_post->recordable->media : asset('images/placeholderprofile.png') }}"
                                        class="img-circle" style="    height: 50px; width: 50px;" />
                                </a>
                            @else
                                <a href="{{ URL::asset($report_post->recordable->media != null ? env('MEDIA_URL') . $report_post->recordable->media : 'images/placeholderprofile.png') }}" target="_blank">
                                    <video src="{{ URL::asset($report_post->recordable->media != null ? env('MEDIA_URL') . $report_post->recordable->media : 'images/placeholderprofile.png') }}"  controls width="100">
                                        Your browser does not support the video tag.
                                    </video>
                                </a>
                            @endif
                            </td>
                            <td>
                                <div class="btn-group">
                                    <button type="button" class="btn btn-info dropdown-toggle" data-toggle="dropdown"
                                        aria-haspopup="true" aria-expanded="false">
                                        Select
                                    </button>
                                    <div class="dropdown-menu">
                                        <a style="color:#fd8181" class="dropdown-item" href="#"
                                            onclick="swalll({{ $report_post->id }})">Just Delete</a>
                                        <form id="delete-form-{{ $report_post->id }}"
                                            action="{{ Route('delete.post', ['reportID' => $report_post->id, 'postID' => $report_post->recordable->id]) }}"
                                            method="POST" style="display: none;">
                                            @csrf
                                            @method('DELETE')
                                        </form>
                                        <a style="color:rgb(216 24 24)" class="dropdown-item" href="#"
                                            onclick="swal2({{ $report_post->recordable->user_id }})">Delete & Block</a>
                                        <form id="delete-form-{{ $report_post->recordable->user_id }}"
                                            action="{{ Route('deleteAndBlock.post', ['reportID' => $report_post->id, 'postID' => $report_post->recordable->id, 'user_id' => $report_post->recordable->user_id]) }}"
                                            method="POST" style="display: none;">
                                            @csrf
                                            @method('DELETE')
                                        </form>
                                        {{-- <div class="dropdown-divider"></div>
                                          <a class="dropdown-item" href="#">Separated link</a>
                                        </div> --}}
                                    {{-- <a href="{{Route('user.edit',$report_post->id)}}"><i title="Edit" class="far fa-edit" style="font-size:20px"></i></a> --}}
                                    {{-- <a href="{{Route('post.detail',$report_post->post->id)}}"> <i title="post info" class="far fa-eye" style="font-size:20px"></i></a> --}}
                                    {{-- <a title="delete" class="btn" onclick="swalll({{ $report_post->id }})"><i class="fa fa-trash" style="font-size:20px"></i></a>
                                        <form id="delete-form-{{ $report_post->id }}" action="{{ route('user.delete', $report_post->id) }}" method="POST" class="d-none">
                                        @csrf
                                        @method('DELETE')
                                        </form> --}}
                                </div>
                            </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <!-- sample modal content -->
    <div class="modal" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel1">
        <div class="modal-dialog " role="document">
            <div class="modal-content" style="background-color: darkgray;border-radius: 5%;">
                <div class="modal-header">
                    <h4 class="font-bold" id="exampleModalLabel1">Ad Media
                    </h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true"></span></button>
                </div>
                <div class="modal-body">
                    <div class="table-responsive m-t-40">
                        <table id="" class="table table-striped">
                            <thead>
                                <tr class="text-white" style="background-color: gray">
                                    <th>S.No</th>
                                    <th>Thumbnail</th>
                                    {{-- <th>Media</th> --}}
                                    {{-- <th>Created</th> --}}
                                </tr>
                            </thead>
                            <tbody class="mydata">

                                <tr>
                                    <td>0</td>
                                    <td
                                        value="https://images.unsplash.com/photo-1604964432806-254d07c11f32?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxzZWFyY2h8M3x8ZGV2ZWxvcGVyfGVufDB8fDB8fA%3D%3D&auto=format&fit=crop&w=700&q=60">
                                        image</td>
                                    <td>null</td>
                                </tr>
                                <tr>
                                    <td>1</td>
                                    <td
                                        value="http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/WeAreGoingOnBullrun.mp4">
                                        video</td>
                                    <td>null</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
                {{-- <div class="modal-footer"> --}}
                <button type="button" class="btn btn-default text-dark" data-bs-dismiss="modal">Close</button>
                {{-- </div> --}}
            </div>
        </div>
    </div>
    <!-- /.modal -->
    <script>
        // popup method
       function setMsg(e) {
    let dataList = '';
    var s_no = 1;
    let mydata = $(e).attr("data-msg");
    // alert(JSON.stringify(mydata));
    if (mydata.length > 0) {
        mydata = eval(mydata);
        $.each(mydata, function(key, value) {
            let mediaUrl = "{{ URL::asset(env('MEDIA_URL')) }}";
            let thumbnail = value.thumbnail
                ? '<a href="' + mediaUrl + value.thumbnail + '" target="_blank"><img width="50px" style="height: 50px" class="img-circle" src="' + mediaUrl + value.thumbnail + '" /></a>'
                : (value.media ? '<a href="' + mediaUrl + value.media + '" target="_blank"><img width="50px" style="height: 50px" class="img-circle" src="' + mediaUrl + value.media + '" /></a>' : 'No Media');
            dataList += '<tr><td>' + s_no++ + '</td><td>' + thumbnail + '</td></tr><br>';
        });
    } else {
        dataList = '<tr><td colspan="2"> No Data </td></tr>';
    }
    console.log(dataList);
    $('.mydata').empty();
    $('.mydata').html(dataList);
}

        // popup method end

        function swalll(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary file!",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                    }
                });
        }

        function swal2(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure delete post & block user?",
                    // text: " want to delete post & block user?",
                    text: "Once deleted, you will not be able to recover this imaginary file!",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                    }
                });
        }
    </script>
@endsection
