@extends('layouts.master')
@section('contain')
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Story Detail</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                    <li class="breadcrumb-item active">
                        <a href="{{ Route('get.Stories') }}" class="text-cyan">Stories</a>
                    </li>
                </ol>
                {{-- <a href="{{ Route('address.swform') }}"><button type="button"
                class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create
                New</button></a> --}}
            </div>
        </div>
    </div>
    <div class="container">
        <div class="row">

            <div class="col-lg-6 offset-lg-3">

                <div class="cardbox shadow-lg bg-white">

                    <div class="cardbox-heading">
                        <!-- START dropdown-->
                        {{-- <div class="dropdown float-right">
                            <button class="btn btn-flat btn-flat-icon" type="button" data-toggle="dropdown"
                                aria-expanded="false">
                                <em class="fa fa-ellipsis-h"></em>
                            </button>
                            <div class="dropdown-menu dropdown-scale dropdown-menu-right" role="menu"
                                style="position: absolute; transform: translate3d(-136px, 28px, 0px); top: 0px; left: 0px; will-change: transform;">
                                <a class="dropdown-item" href="#">Hide post</a>
                                <a class="dropdown-item" href="#">Stop following</a>
                                <a class="dropdown-item" href="#">Report</a>
                            </div>
                        </div> --}}
                        <!--/ dropdown -->
                        <div class="media m-0">
                            <div class="d-flex mr-3">
                                <a href="{{Route('user.info',$stories->user->id)}}"><img
                                        class="img-fluid rounded-circle"src="{{ $stories->user->profile_image != null ? env('MEDIA_URL') . $stories->user->profile_image : asset('images/placeholderprofile.png') }}"alt="User"></a>
                            </div>
                            <div class="media-body">
                                <p style="color: black;" class="m-0">{{ $stories->user->full_name }}</p>
                                {{-- <small><span><i class="icon ion-md-pin"></i> {{ $stories->location }}</span></small> --}}
                                <small><span><i class="icon ion-md-time"></i>
                                        {{ date('F d Y', strtotime($stories->created_at)) }}</span></small>
                            </div>
                        </div>
                        <!--/ media -->
                    </div>
                    <!--/ cardbox-heading -->

                    <div class="cardbox-item">
                        {{-- <img class="img-fluid" src="http://www.themashabrand.com/templates/bootsnipp/post/assets/img/1.jpg" alt="Image"> --}}
                        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
                            <ol class="carousel-indicators">
                                {{-- @foreach ($postDetail->postimages as $key => $postimage) --}}
                                    {{-- <li data-target="#carouselExampleIndicators" data-slide-to="0"
                                        class="active" ></li> --}}
                                {{-- @endforeach --}}
                            </ol>
                            <div class="carousel-inner">
                                {{-- @foreach ($postDetail->postimages as $key => $postimage) --}}
                                    <div class="carousel-item active">
                                        @php
                                            $extension = pathinfo($stories->image, PATHINFO_EXTENSION);
                                            switch ($extension) {
                                                case 'jpg':
                                                case 'jpeg':
                                                case 'png':
                                                case 'gif':
                                                    $mime = 'image/' . $extension;
                                                    echo "<img class='d-block w-100' src='" . (env('MEDIA_URL') . $stories->image) . "' alt=''>";
                                                    break;
                                                case 'mp4':
                                                case 'webm':
                                                case 'ogg':
                                                    $mime = 'video/' . $extension;
                                                    echo "<video class='d-block w-100' controls'>
                                        <source src='" .
                                                        (env('MEDIA_URL') . $stories->image) .
                                                        "' type='" .
                                                        $mime .
                                                        "'>
                                        Your browser does not support the video tag.
                                    </video>";
                                                    break;
                                                default:
                                                    echo '<p>Unsupported media type: ' . $extension . '</p>';
                                            }
                                        @endphp
                                    </div>
                                {{-- @endforeach --}}
                            </div>
                            {{-- <a style="width: 20px;" class="carousel-control-prev" href="#carouselExampleIndicators"
                                role="button" data-slide="prev">
                                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                <span class="sr-only">Previous</span>
                            </a>
                            <a style="width: 20px;" class="carousel-control-next" href="#carouselExampleIndicators"
                                role="button" data-slide="next">
                                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                <span class="sr-only">Next</span>
                            </a> --}}
                        </div>
                    </div>
                    <!--/ cardbox-item -->
                    <div class="cardbox-base">
                        <ul class="float-right">
                            {{-- <li><a><i class="fa fa-comments"></i></a></li> --}}
                            {{-- <li><a><em class="mr-5">{{ $postDetail->comments_count }} Comment</em></a></li> --}}
                            {{-- <li><a><i class="fa fa-share-alt"></i></a></li>
         <li><a><em class="mr-3">03</em></a></li> --}}
                        </ul>
                        <ul>
                            <li><a><i class="fa fa-eye"></i></a></li>
                            {{-- <li><a href="#"><img src="http://www.themashabrand.com/templates/bootsnipp/post/assets/img/users/3.jpeg" class="img-fluid rounded-circle" alt="User"></a></li>
         <li><a href="#"><img src="http://www.themashabrand.com/templates/bootsnipp/post/assets/img/users/1.jpg" class="img-fluid rounded-circle" alt="User"></a></li>
         <li><a href="#"><img src="http://www.themashabrand.com/templates/bootsnipp/post/assets/img/users/5.jpg" class="img-fluid rounded-circle" alt="User"></a></li>
         <li><a href="#"><img src="http://www.themashabrand.com/templates/bootsnipp/post/assets/img/users/2.jpg" class="img-fluid rounded-circle" alt="User"></a></li> --}}
                            <li><a><span>{{ $stories->story_views_count }} View</span></a></li>
                        </ul>
                    </div>
                    <!--/ cardbox-base -->


                </div>
                <!--/ cardbox -->

            </div>
            <!--/ col-lg-6 -->


        </div>
        <!--/ row -->
    </div>
    <!--/ container -->
@endsection

