
@extends('layouts.master')
@section('contain')
{{--  --}}
    <div class="row page-titles" >
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Stories</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li ><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                    {{-- <li class="breadcrumb-item active">User Table</li> --}}
                </ol>
                {{-- <a href="{{ Route('address.swform') }}"><button type="button"
                    class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create
                    New</button></a> --}}
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            {{-- <h6 class="card-subtitle">Data table example</h6> --}}
            <div class="table-responsive">
                <table id="myTable" class="table table-striped border dataTable no-footer">
                    <thead>
                        <tr style="background-color: gray " class="text-white">
                            <th>S.No</th>
                            <th>Name</th>
                            <th>Media</th>
                            <th>Thumbnail</th>
                            <th>Date</th>
                            <th>Views</th>
                            {{-- <th >Action</th> --}}
                        </tr>
                    </thead>
                    @php
                        $num = 1;
                    @endphp
                    <tbody>
                        @foreach ($stories as $story)

                                <td>{{ $num++ }}</td>
                                <td><a href="{{Route('user.info',$story->user->id)}}">{{ $story->user->full_name }}</td>
                                {{-- <td> --}}
                                    {{-- <a href="{{Route('user.edit',$report_post->id)}}"><i title="Edit" class="far fa-edit" style="font-size:20px"></i></a> --}}
                                        {{-- <a href="{{Route('story.detail',$story->id)}}"> <i title="story info" class="far fa-eye btn  btn-info btn-small" ></i></a> --}}
                                        {{-- <a title="delete" class="btn" onclick="swalll({{ $report_post->id }})"><i class="fa fa-trash" style="font-size:20px"></i></a>
                                        <form id="delete-form-{{ $report_post->id }}" action="{{ route('user.delete', $report_post->id) }}" method="POST" class="d-none">
                                        @csrf
                                        @method('DELETE')
                                        </form> --}}
                                {{-- </td> --}}
                                <td>
                                    @if ($story->image != null)
                                        @php
                                            $extension = pathinfo($story->image, PATHINFO_EXTENSION);
                                            $mediaUrl = env('MEDIA_URL') . $story->image;
                                        @endphp
                                        @if (in_array($extension, ['jpg', 'jpeg', 'png', 'gif','jfif','GPEG']))
                                            <a href="{{ URL::asset($mediaUrl) }}" target="_blank">
                                                <img src="{{ $mediaUrl }}" class="img-circle" width="150" />
                                            </a>
                                        @elseif (in_array($extension, ['mp4', 'webm', 'ogg']))
                                            <a href="{{ URL::asset($mediaUrl) }}" target="_blank">
                                                <video src="{{ $mediaUrl }}"  controls width="100">
                                                    Your browser does not support the video tag.
                                                </video>
                                            </a>
                                        @else
                                            <p>Unsupported media type: {{ $extension }}</p>
                                        @endif
                                    @else
                                        <img src="{{ asset('images/933-9332131_profile-picture-default-png.png') }}" class="img-circle" width="150" />
                                    @endif
                                </td>
                                <td>
                                    @if ($story->thumbnail != null)
                                    <a href="{{ URL::asset(env('MEDIA_URL') . $story->thumbnail) }}" target="_blank">
                                        <img src="{{ URL::asset(env('MEDIA_URL') . $story->thumbnail) }}" class="img-circle" width="150" />
                                    </a>
                                    @else
                                    {{"-"}}
                                    @endif
                                </td>
                                <td>{{ $story->created_at->format('Y-m-d') }}</td>
                                <td>
                                    <i class="fa fa-eye"></i> {{$story->story_views_count}}
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <script>
        function swalll(id)
        {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary file!",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
            .then((willDelete) => {
                if (willDelete) {
                    var formId = "delete-form-" + id;
                    document.getElementById(formId).submit();
                    // swal("Poof! Your imaginary file has been deleted!", {
                    //     icon: "success",
                    // });
                }
                else
                 {
                    // swal("Your imaginary file is safe!");
                 }
                });
        }
    </script>
@endsection
