@extends('layouts.master')
@section('contain')
 <!-- row page titles -->
    <!-- ============================================================== -->
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor font-bold">Update User</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active"><a class="text-cyan" href="{{ url('/') }}">Home</a></li>
                    <li class="breadcrumb-item active">
                        <a href="{{ Route('user.list') }}" class="text-cyan">Users</a>
                    </li>
                </ol>
            </div>
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End row page titles -->
    <div class="row">
        <div class="col-sm-6">
            <div class="card">
                <div class="card-body">
                    {{-- <h5 class="card-title">Basic Information</h5> --}}
                    <form method="POST" action="{{Route('user.update', $user->id)}}">
                        @csrf
                        @method('PUT')
                        {{-- <div class="form-group">
                            <div class="col-md-4">
                                <label  for="example-text">First Name</span>
                                </label>
                                <input type="text" value="{{ $user->first_name }}" id="example-text" name="first_name"
                                    class="form-control">
                                <input type="hidden" value="{{ $user->id }}" name="id">
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-4">
                                <label for="example-text">Last Name</span>
                                </label>
                                <input type="text" value="{{ $user->last_name }}" id="example-text" name="last_name"
                                    class="form-control">
                            </div>
                        </div> --}}
                        <div class="form-group">
                            <div class="col-md-12">
                                <label class="font-bold"  for="example-text">Water Goal</span>
                                </label>
                                <input type="number" value="{{ $user->water_goal }}" id="example-text" name="water_goal"
                                    class="form-control @error('water_goal') is-invalid @enderror">
                                    @error('water_goal')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="font-bold">User Type</label>
                                <select class="form-select form-select-lg mb-3" name="user_type" aria-label="form-select-lg example">
                                        <option value="" >Select User Type </option>
                                        <option value="free" @selected($user->user_type == 'free') >Free</option>
                                        <option value="paid" @selected($user->user_type == 'paid') >Paid</option>
                                        <option value="corporate" @selected($user->user_type == 'corporate') >Corporate</option>
                                </select>
                            </div>
                            @if($errors->first('user_type'))
                            <p class="text-danger" style="font-size: 80%" >
                                <strong>{{ $errors->first('user_type') }}</strong>
                            </p>
                            @endif
                        </div>
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="font-bold">User Role</label>
                                <select class="form-select form-select-lg mb-3" name="user_role" aria-label="form-select-lg example">
                                        <option value="" >Select User Role </option>
                                        <option value="admin" @selected($user->user_role == 'admin') >Admin</option>
                                        <option value="user" @selected($user->user_role == 'user') >User</option>
                                </select>
                            </div>
                            @if($errors->first('user_role'))
                            <p class="text-danger" style="font-size: 80%" >
                                <strong>{{ $errors->first('user_role') }}</strong>
                            </p>
                            @endif
                        </div>
                        <div class="form-group" >
                        <button style="margin-left: 31%; margin-top: 1%; width: 38%;" type="submit" class="btn btn-info">update</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
