@extends('layouts.master')
@section('contain')
    {{--  --}}
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Winners Management</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                    {{-- <li class="breadcrumb-item active">User Table</li> --}}
                </ol>
                {{-- <a href="{{ Route('address.swform') }}"><button type="button"
                    class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create
                    New</button></a> --}}
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            {{-- <h6 class="card-subtitle">Data table example</h6> --}}
            <div class="table-responsive">
                <style>
                    #myTable1 thead {
                        display: none;
                    }
                </style>
                </head>

                <body>

                    <table style="font-size: smaller;" id="myTable1"
                        class="table table-striped border dataTable no-footer">
                        <thead>
                            <tr style="background-color: gray; color: white;">
                                <th scope="col">Position</th>
                                <th scope="col">Title</th>
                                <th scope="col">Image</th>
                                <th scope="col">Prize</th>
                                <th scope="col">Start</th>
                                <th scope="col">End</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($winners as $winner)
                                @if ($winner->leaderboard != null)
                                    <tr style="background-color: #615a1a; color: white;">
                                        <td><span>Leader Board</span></td>
                                        <td>Title</td>
                                        <td>Prize</td>
                                        <td>Image</td>
                                        <td>Start</td>
                                        <td>End</td>
                                    </tr>
                                    <tr>
                                        <td style="background-color: #615a1a; color: white;"><span>Competition</span></td>
                                        <td>{{ $winner->leaderboard->title ?? '-' }}</td>
                                        <td>$ {{ $winner->leaderboard->prize ?? '-' }}</td>
                                        <td>
                                            <a href="{{ URL::asset($winner->leaderboard->image != null ? env('MEDIA_URL') . $winner->leaderboard->image : 'images/placeholderprofile.png') }}"
                                                target="_blank">
                                                <img src="{{ $winner->leaderboard->image != null ? env('MEDIA_URL') . $winner->leaderboard->image : asset('images/placeholderprofile.png') }}"
                                                    class="img-circle" style="    height: 50px; width: 50px;" />
                                            </a>
                                        </td>
                                        <td>{{ $winner->leaderboard->start ? date('F d Y', strtotime($winner->leaderboard->start)) : '-' }}
                                        </td>
                                        <td>{{ $winner->leaderboard->end ? date('F d Y', strtotime($winner->leaderboard->end)) : '-' }}
                                        </td>
                                    </tr>
                                @endif
                                @if ($winner->firstpost != null || $winner->secondpost != null || $winner->thirdpost != null)
                                    <tr style="background-color: #9fb39f;">
                                        <th><strong>Winner Posts</strong></th>
                                        <th><strong> User</strong></th>
                                        <th><strong>Title</strong></th>
                                        <th><strong>Media</strong></th>
                                        <th><strong>Description</strong></th>
                                        <th><strong>Stars</strong></th>
                                    </tr>
                                    @if ($winner->firstpost != null)
                                        <tr>
                                            <th style="background-color: #4CAF50; color: white;"><span>First</span></th>
                                            <th>
                                                <a
                                                    href="{{ Route('user.info', $winner->firstpost->postedby->id) }}">{{ $winner->firstpost->postedby->full_name }}</a>
                                            </th>
                                            <th>{{ $winner->firstpost->title ?? '-' }}</th>
                                            <th>
                                                @if ($winner->firstpost->media_type == 'image')
                                                    <a href="{{ URL::asset($winner->firstpost->media != null ? env('MEDIA_URL') . $winner->firstpost->media : 'images/placeholderprofile.png') }}"
                                                        target="_blank">
                                                        <img src="{{ $winner->firstpost->media != null ? env('MEDIA_URL') . $winner->firstpost->media : asset('images/placeholderprofile.png') }}"
                                                            class="img-circle" style="    height: 50px; width: 50px;" />
                                                    </a>
                                                @else
                                                    <a href="{{ URL::asset($winner->firstpost->media != null ? env('MEDIA_URL') . $winner->firstpost->media : 'images/placeholderprofile.png') }}"
                                                        target="_blank">
                                                        <video
                                                            src="{{ URL::asset($winner->firstpost->media != null ? env('MEDIA_URL') . $winner->firstpost->media : 'images/placeholderprofile.png') }}"
                                                            controls width="100">
                                                            Your browser does not support the video tag.
                                                        </video>
                                                    </a>
                                                @endif
                                            </th>
                                            <th>{{ $winner->firstpost->description ?? '-' }}</th>
                                            <th><i class="fa fa-star"></i> {{ $winner->first_star ?? '-' }}</th>
                                        </tr>
                                    @endif
                                    {{-- @if ($winner->secondpost != null)
                                        <tr>
                                            <th style="background-color: #fdee20; color: white;"><span>Second</span></th>
                                            <th>
                                                <a
                                                    href="{{ Route('user.info', $winner->secondpost->postedby->id) }}">{{ $winner->secondpost->postedby->full_name }}</a>
                                            </th>
                                            <th>{{ $winner->secondpost->title ?? '-' }}</th>
                                            <th>
                                                @if ($winner->secondpost->media_type == 'image')
                                                    <a href="{{ URL::asset($winner->secondpost->media != null ? env('MEDIA_URL') . $winner->secondpost->media : 'images/placeholderprofile.png') }}"
                                                        target="_blank">
                                                        <img src="{{ $winner->secondpost->media != null ? env('MEDIA_URL') . $winner->secondpost->media : asset('images/placeholderprofile.png') }}"
                                                            class="img-circle" style="    height: 50px; width: 50px;" />
                                                    </a>
                                                @else
                                                    <a href="{{ URL::asset($winner->secondpost->media != null ? env('MEDIA_URL') . $winner->secondpost->media : 'images/placeholderprofile.png') }}"
                                                        target="_blank">
                                                        <video
                                                            src="{{ URL::asset($winner->secondpost->media != null ? env('MEDIA_URL') . $winner->secondpost->media : 'images/placeholderprofile.png') }}"
                                                            controls width="100">
                                                            Your browser does not support the video tag.
                                                        </video>
                                                    </a>
                                                @endif
                                            </th>
                                            <th>{{ $winner->secondpost->description ?? '-' }}</th>
                                            <th><i class="fa fa-star"></i> {{ $winner->second_star ?? '-' }}</th>
                                        </tr>
                                    @endif
                                    @if ($winner->thirdpost != null)
                                        <tr>
                                            <th style="background-color: #349aee; color: white;"><span>Third</span></th>
                                            <th>
                                                <a
                                                    href="{{ Route('user.info', $winner->thirdpost->postedby->id) }}">{{ $winner->thirdpost->postedby->full_name }}</a>
                                            </th>
                                            <th>{{ $winner->thirdpost->title ?? '-' }}</th>
                                            <th>
                                                @if ($winner->thirdpost->media_type == 'image')
                                                    <a href="{{ URL::asset($winner->thirdpost->media != null ? env('MEDIA_URL') . $winner->thirdpost->media : 'images/placeholderprofile.png') }}"
                                                        target="_blank">
                                                        <img src="{{ $winner->thirdpost->media != null ? env('MEDIA_URL') . $winner->thirdpost->media : asset('images/placeholderprofile.png') }}"
                                                            class="img-circle" style="    height: 50px; width: 50px;" />
                                                    </a>
                                                @else
                                                    <a href="{{ URL::asset($winner->thirdpost->media != null ? env('MEDIA_URL') . $winner->thirdpost->media : 'images/placeholderprofile.png') }}"
                                                        target="_blank">
                                                        <video
                                                            src="{{ URL::asset($winner->thirdpost->media != null ? env('MEDIA_URL') . $winner->thirdpost->media : 'images/placeholderprofile.png') }}"
                                                            controls width="100">
                                                            Your browser does not support the video tag.
                                                        </video>
                                                    </a>
                                                @endif
                                            </th>
                                            <th>{{ $winner->thirdpost->description ?? '-' }}</th>
                                            <th><i class="fa fa-star"></i> {{ $winner->third_star ?? '-' }}</th>
                                        </tr>
                                    @endif --}}
                                @endif
                            @endforeach
                            <!-- Add more data rows as needed -->
                        </tbody>

                    </table>
                    <div class="text-center">
                        {{ $winners->links() }}
                    </div>

                    <script>
                        $(document).ready(function() {
                            $('#myTable1').DataTable({
                                ordering: false,
                                paging: true,
                                info: false,
                                searching: true
                            });
                        });
                    </script>

                </body>

            </div>
        </div>
    </div>
    <script>
        function swalll(routeUrl, title, confirmText, successMessage) {
            event.preventDefault();
            swal({
                title: title,
                text: confirmText,
                icon: "warning",
                buttons: true,
                dangerMode: true,
            }).then((willDelete) => {
                if (willDelete) {
                    window.location.href = routeUrl;
                    swal(successMessage, {
                        icon: "success",
                    });
                } else {
                    // swal("Your imaginary file is safe!");
                }
            });
        }
        // $(document).ready(function() {
        //     $('#myTable1').DataTable({
        //         ordering: false, // Disable sorting
        //         paging: true, // Disable paging
        //         info: false, // Disable information display
        //         searching: true // Enable search
        //     });
        // });
    </script>
@endsection
