@extends('layouts.master')
@section('contain')
    <!-- row page titles -->
    <!-- ============================================================== -->
    <div class="row page-titles"
        >
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Activities</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li class="breadcrumb-item active"><a class="text-cyan" href="{{ url('/') }}">Home</a></li>
                    {{-- <li class="breadcrumb-item active"></li> --}}
                </ol>
                {{-- <a href="{{Route('category.sform')}}"><button type="button"  class="btn btn-info d-none d-lg-block m-l-15 text-white"><i
                                class="fa fa-plus-circle"></i> Create New</button></a> --}}
            </div>
        </div>
    </div>
    <!-- ============================================================== -->
    <!-- End row page titles -->
    <div class="card">
        <div class="card-body">
            <div class="table-responsive">
                <table id="activity-table" class="table border dataTable no-footer">
                    <thead>
                        <tr style="background-color: rgb(107, 122, 141);" class="text-white">
                            <th>S.No</th>
                            <th>User Name</th>
                            <th>Title</th>
                            <th>Description</th>
                            {{-- <th>Body</th> --}}
                            <th>Date</th>

                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <script>
          $(document).ready(function() {
        $('#activity-table').DataTable({
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": "{{ route('activity.list') }}",
                "type": "get",
                "headers": {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            },
            "columns": [
                { 'data': 'DT_RowIndex'},
                { "data": "actor.user_name" },
                { "data": "title" },
                { "data": "body" },
                // Add more columns as needed
                {
                    "data": "created_at",
                    "render": function(data, type, row) {
                        return data ? moment(data).format('YYYY-MM-DD') : '-';
                    }
                }
            ],
            "rowCallback": function(row, data) {
                if (data.viewed == 0) {
                    $(row).addClass('table-warning');
                    $(row).css('cursor', 'pointer');
                    $(row).on('click', function() {
                        var objectId = data.object_id;
                        var objectType = data.object_type;
                        var actorID = data.actor.id;
                        // Redirect with additional parameters
                        var redirectUrl =
                            "{{ route('activity.redirect', ['object_type' => ':object_type', 'object_id' => ':object_id', 'actor_id' => ':actor_id']) }}";
                        redirectUrl = redirectUrl.replace(':object_type', objectType);
                        redirectUrl = redirectUrl.replace(':object_id', objectId);
                        redirectUrl = redirectUrl.replace(':actor_id', actorID);
                        window.location.href = redirectUrl;
                    });
                }
            }
        });
    });
        function swalll(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary file!",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                        // swal("Poof! Your imaginary file has been deleted!", {
                        //     icon: "success",
                        // });
                    } else {
                        // swal("Your imaginary file is safe!");
                    }
                });


            // alert(id);
        }
        $(function() {
            $('#myTableact').DataTable({
                columnDefs: [{
                    orderable: false,
                    "targets": 2
                }]
            });
        });
    </script>
@endsection
