@extends('layouts.master')
@section('contain')
    {{-- title --}}
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            @if (isset($announcement))
                <h4 class="card-title">Update Announcement</h4>
            @else
                <h4 class="card-title">Add Announcement</h4>
            @endif
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active"><a class="text-cyan" href="{{ url('/') }}">Home</a></li>
                    <li class="breadcrumb-item active">
                        <a href="{{ Route('announcement.list') }}" class="text-cyan">Announcments</a>
                    </li>
                </ol>
            </div>
        </div>
    </div>
    {{-- end title --}}
    <div class="row">
        <div class="col-12">
            <div class="card card-body">
                <div class="row">
                    <div class="col-sm-6 col-xs-12">
                        @if (isset($announcement))
                            <form method="POST" action="{{ Route('announcement.update', $announcement->id) }}"
                                enctype="multipart/form-data" data-parsley-validate>
                                @csrf
                            @else
                                <form method="POST" action="{{ Route('annoucnment.add') }}" enctype="multipart/form-data" data-parsley-validate>
                                    @csrf
                        @endif
                        {{-- <div class="form-group col-md-12">
                            <label for="media" class="font-bold">Media</label>
                            <input name="media[]" class="form-control" type="file" id="other"
                                accept="video/*,image/*" multiple />
                            <input type="text" name="redirectValue" hidden id=""
                                value="{{ $redirectValue ?? '' }}">
                            @if ($errors->all('media'))
                                <p class="text-danger">
                                    <strong>{{ $errors->first('media') }}</strong>
                                </p>
                            @endif
                            @if (isset($files))
                                @foreach ($files as $Mdata)
                                    <div class="img-wrap">
                                        @if ($Mdata->type == 'image')

                                            <a href="{{ URL::asset($Mdata->media != null ? env('MEDIA_URL') . $Mdata->media : null) }}"
                                                target="_blank">
                                                <img src="{{ $Mdata->media != null ? env('MEDIA_URL') . $Mdata->media : null }}"alt="Not Available"
                                                    width="50px" class="img-circle">
                                            </a>
                                        @else
                                            <a href="{{ URL::asset($Mdata->media != null ? env('MEDIA_URL') . $Mdata->media : null) }}"
                                                target="_blank">
                                                <video width="110" height="60" style="margin-top: 11px; "
                                                    style="" controls>
                                                    <source
                                                        src="{{ URL::asset($Mdata->media != null ? env('MEDIA_URL') . $Mdata->media : null) }}"
                                                        type="video/mp4">
                                                    Your browser does not support the video tag.
                                                </video>
                                            </a>
                                        @endif
                                        <button type="button" class="btndeleteimages"
                                            onclick="DeleteImages(this,{{ $Mdata->id }})" style="color: red">x</button>
                                    </div>
                                @endforeach
                            @endif
                        </div> --}}

                        <!--<div class="form-group col-sm-12">-->
                        <!--    <label for="title" class="font-bold">Title*</label>-->
                        <!--  <input required-->
                        <!--   data-parsley-required-message="Title field is required"-->
                        <!--   data-parsley-maxlength="20" -->
                        <!--   data-parsley-maxlength-message="Title should not exceed 20 characters."-->
                        <!--   type="text"-->
                        <!--   name="title"-->
                        <!--   value="{{ isset($announcement) ? ($announcement->title ? $announcement->title : (old('title') ? old('title') : '')) : (old('title') ? old('title') : '') }}"-->
                        <!--   class="form-control @error('title') is-invalid @enderror"-->
                        <!--   id=""-->
                        <!--   placeholder="Enter title">-->
                        <!--    @error('title')-->
                        <!--        <span class="invalid-feedback" role="alert">-->
                        <!--            <strong>{{ $message }}</strong>-->
                        <!--        </span>-->
                        <!--    @enderror-->
                        <!--</div>-->
                        <div class=" form-group col-md-12">
                            <label class="font-bold">Description*</label>
                            <textarea required data-parsley-required-message="Description field is required"
                            data-parsley-maxlength="500"
       data-parsley-maxlength-message="Description should not exceed 500 characters."
                            id="" placeholder="Add Description" class="form-control @error('description') is-invalid @enderror"
                                name="description" rows="5">{{ isset($announcement) ? ($announcement->description ? $announcement->description : (old('description') ? old('description') : '')) : (old('description') ? old('description') : '') }}</textarea>
                            @error('description')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <input type="hidden" value="" id="hfImgDeletedIds" name="imgids" />
                        @if (isset($announcement))
                            <button type="submit" class="btn btn-info me-2 text-white">Update</button>
                        @else
                            <button type="submit" class="btn btn-success me-2 text-white">Submit</button>
                        @endif
                        {{-- <button type="submit" class="btn btn-dark">Cancel</button> --}}
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
    $(document).ready(function() {
        var exampleUrl = "http://example.com";
        var errorMessage = "Please enter a valid HTTP URL. Example: " + exampleUrl;
        $('#exampleInputEmail111').parsley().on('field:error', function() {
            var errorElement = $(this.$element).closest('.form-group').find('.parsley-errors-list.filled');
            errorElement.html(errorMessage);
        });
    });
</script>
@endsection
