@extends('layouts.master')
@section('contain')
    {{--  --}}
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Company Management</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                    {{-- <li class="breadcrumb-item active">User Table</li> --}}
                </ol>
                <a href="{{ Route('company.create') }}"><button type="button"
                    class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i> Create
                    New</button></a>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            {{-- <h6 class="card-subtitle">Data table example</h6> --}}
            <div class="table-responsive">
                <table id="myTableuser" class="table table-striped border dataTable no-footer">
                    <thead>
                        <tr style="background-color: gray " class="text-white">
                            <th>S.No</th>
                            <th>Company Name</th>
                            <th>Contect Name</th>
                            <th>Phone</th>
                            <th>Email</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <script>
        $('#myTableuser').DataTable({
            "processing": true,
            "serverSide": true,
            "ajax": "{{ route('company.index') }}",
            "columns": [{
                    data: 'DT_RowIndex',
                    name: 'DT_RowIndex',
                    searchable: false,
                    orderable: false
                },
                {
                    "data": "first_name",
                    "defaultContent": "-" // Use defaultContent to display a dash if data is null
                },
                {
                    "data": "last_name",
                    "defaultContent": "-" // Use defaultContent to display a dash if data is null
                },
                {
                    "data": "phone",
                    "defaultContent": "-" // Use defaultContent to display a dash if data is null
                },
                {
                    "data": "email",
                    "defaultContent": "-" // Use defaultContent to display a dash if data is null
                },
                {
                    "data": "action",
                    "orderable": false, // Disable sorting for the action column
                    "searchable": false // Disable searching for the action column
                }
            ]
        });


        function swalll(routeUrl, title, confirmText, successMessage) {
            event.preventDefault();
            swal({
                title: title,
                text: confirmText,
                icon: "warning",
                buttons: true,
                dangerMode: true,
            }).then((willDelete) => {
                if (willDelete) {
                    window.location.href = routeUrl;
                    swal(successMessage, {
                        icon: "success",
                    });
                } else {
                    // swal("Your imaginary file is safe!");
                }
            });
        }
    </script>
@endsection
