@extends('layouts.master')
@section('contain')
    <div class="row page-titles"
        >
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Poll Compare</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="{{ url('/') }}">Home</a></li>
                    <li><a class="breadcrumb-item active" href="javascript:history.go(-1);">back</a></li>
                    {{-- <li class="breadcrumb-item active">User Table</li> --}}
                </ol>
                {{-- <a href="{{ Route('poll.create') }}"><button type="button"
                        class="btn btn-info d-none d-lg-block m-l-15 text-white"><i class="fa fa-plus-circle"></i>Create
                        New</button></a> --}}
            </div>
        </div>
    </div>
    <style>
        .custom-select {
            height: 6vh;
            width: 100%;
            padding: 6px 12px;
            /* Adjust padding to match your design */
            font-size: 14px;
            /* Adjust font size as needed */
            line-height: 1.5;
            /* Adjust line height as needed */
            border-radius: 7px;
            /* Rounded corners */
            -webkit-appearance: none;
            /* Remove default arrow icon on Chrome/Safari */
            -moz-appearance: none;
            /* Remove default arrow icon on Firefox */
            appearance: none;
            /* Remove default arrow icon */
            background-color: #f8f6f6;
            /* Background color */
            background-image: url('data:image/svg+xml,<svg fill="%23000000" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 8 8"><path d="M4 5l3-3H1z"/></svg>');
            /* Custom arrow icon */
            background-repeat: no-repeat;
            /* Prevent repeating of arrow icon */
            background-position: right 8px center;
            /* Position arrow icon */
            background-size: 8px 8px;
            /* Size of arrow icon */
        }
    </style>
    <div class="card">
        <div class="card-body">
            <div class="container-fluid">
                {{-- <h1>Survey Results</h1> --}}
                <div style="display: flex; justify-content: space-between; align-items: flex-start;">
                    <!-- Left Selector List -->
                    <div>
                        <!-- Second Selector List -->
                        <div style="margin-right: 20px; margin-bottom: 20px;">
                            <select class="custom-select js-example-basic-multiple" id="get-company-by-industry-1" multiple>
                                <option value="">Select Industry</option>
                                @foreach ($Industries as $Industry)
                                    <option value="{{ $Industry->id }}">{{ $Industry->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <!-- First Selector List -->
                        <div style="margin-right: 20px; margin-bottom: 20px;">
                            <select class="custom-select" id="get-compare-data-1">
                                <option value="">Select Company</option>
                                @foreach ($Companies as $company)
                                    <option value="{{ $company->id }}">{{ $company->title }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div style="margin-right: 20px; margin-bottom: 20px;">
                            <select class="custom-select" id="get-department-data-1">
                                <option value="">Select Department</option>
                                {{-- @foreach ($Companies as $company)
                                    <option value="{{ $company->id }}">{{ $company->title }}</option>
                                @endforeach --}}
                            </select>
                        </div>
                        <!-- Add more divs for additional selector lists... -->
                    </div>

                    <!-- Additional Selects... -->

                    <!-- Canvas Container -->
                    <div class="chart-container" style="margin-left: -1%;">
                        <canvas id="barChart"></canvas>
                    </div>

                    <div style="margin-left: 1%;">
                        <!-- First Selector List -->
                        <div style="margin-right: 20px; margin-bottom: 20px;">
                            <select class="custom-select" id="get-company-by-industry" multiple>
                                <option value="">Select Industry</option>
                                @foreach ($Industries as $Industry)
                                    <option value="{{ $Industry->id }}">{{ $Industry->name }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div style="margin-right: 20px; margin-bottom: 20px;">
                            <select class="custom-select" id="get-compare-data">
                                <option value="">Select Company</option>
                                @foreach ($Companies as $company)
                                    <option value="{{ $company->id }}">{{ $company->title }}</option>
                                @endforeach
                            </select>
                        </div>
                        <div style="margin-right: 20px; margin-bottom: 20px;">
                            <select class="custom-select" id="get-department-data">
                                <option value="">Select Department</option>
                                {{-- @foreach ($Companies as $company)
                                    <option value="{{ $company->id }}">{{ $company->title }}</option>
                                @endforeach --}}
                            </select>
                        </div>
                        <!-- Add more divs for additional selector lists... -->
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
        $(document).ready(function() {
            // select 2 start
            $('#get-company-by-industry').select2({
                placeholder: "Select Industry",
                theme: 'bootstrap',
                closeOnSelect: true,
            });
            $('.js-example-basic-multiple').select2({
                placeholder: "Select Industry",
                theme: 'bootstrap',
                closeOnSelect: true,
            });
            // select 2 start end
            // get companies by industry
            $('#get-company-by-industry-1').on('change', function() {
                var industry_ids = $(this).val();
                console.log(industry_ids);
                // alert(industry_ids);
                if (industry_ids.length != 0) {
                    $.ajax({
                        url: '{{ route('getcompaiesby.industry') }}',
                        method: 'get',
                        data: {
                            industry_ids: industry_ids,
                            poll_id: {{ $polls->id }} // Outputting PHP variable directly
                        },
                        success: function(response) {
                            // alert(JSON.stringify(response));
                            // Clear existing options
                            $('#get-compare-data-1').empty();
                            // Append new options based on response data
                            campanyData = '<option value="">Select Company</option>';
                            $.each(response, function(index, company) {
                                campanyData += '<option value="' + company.id + '">' +
                                    company.title + '</option>';
                            });
                            $('#get-compare-data-1').append(campanyData);
                        },
                        error: function(xhr, status, error) {
                            console.error(xhr.responseText);
                        }
                    });
                } else {
                    // alert('ddd');
                    reloadCompanySelector1();
                }
            });
            $('#get-company-by-industry').on('change', function() {
                var industry_ids = $(this).val();
                console.log(industry_ids);
                // alert(industry_ids);
                if (industry_ids.length != 0) {
                    $.ajax({
                        url: '{{ route('getcompaiesby.industry') }}',
                        method: 'get',
                        data: {
                            industry_ids: industry_ids,
                            poll_id: {{ $polls->id }} // Outputting PHP variable directly
                        },
                        success: function(response) {
                            // alert(JSON.stringify(response));
                            // Clear existing options
                            $('#get-compare-data').empty();
                            // Append new options based on response data
                            campanyData = '<option value="">Select Company</option>';
                            $.each(response, function(index, company) {
                                campanyData += '<option value="' + company.id + '">' +
                                    company.title + '</option>';
                            });
                            $('#get-compare-data').append(campanyData);
                        },
                        error: function(xhr, status, error) {
                            console.error(xhr.responseText);
                        }
                    });
                } else {
                    // alert('ddd');
                    reloadCompanySelector();
                }
            });


            function reloadCompanySelector1() {
                var originalOptions = '';
                var companies = @json($Companies);
                originalOptions = '<option value="">Select Company</option>';
                $.each(companies, function(index, value) {
                    originalOptions += '<option value="' + value.id + '">' + value.title + '</option>';
                });
                $('#get-compare-data-1').html(originalOptions);
            }
            function reloadCompanySelector() {
                var originalOptions = '';
                var companies = @json($Companies);
                originalOptions = '<option value="">Select Company</option>';
                $.each(companies, function(index, value) {
                    originalOptions += '<option value="' + value.id + '">' + value.title + '</option>';
                });
                $('#get-compare-data').html(originalOptions);
            }


            // get companies by industry end
            // Event listener for dropdown change (Company 2)
            $('#get-compare-data').on('change', function() {
                var companyId = $(this).val();
                $.ajax({
                    url: '{{ route('getcompare.dataleft') }}',
                    method: 'get',
                    data: {
                        company_id: companyId,
                        poll_id: {{ $polls->id }}
                    },
                    success: function(response) {
                        // alert(JSON.stringify(response.departments));
                        $('#get-department-data').empty();
                        // Append new options based on response data
                        departmentData = '<option value="">Select Department</option>';
                        $.each(response.departments, function(index, departments) {
                            departmentData += '<option value="' + departments.id +
                                '">' + departments.name + '</option>';
                        });
                        $('#get-department-data').append(departmentData);
                        var newData = response.answers.map(answer => answer.react_counts_count);
                        var companyTitle = response.CompanyTitle;

                        // Update the data of the second dataset (Company 2) in the chart
                        myChart.data.datasets[1].data = newData;

                        // Update the label of the second dataset with the company title
                        myChart.data.datasets[1].label = companyTitle;

                        // Update the chart
                        myChart.update();

                        console.log(response);
                    },
                    error: function(xhr, status, error) {
                        console.error(xhr.responseText);
                    }
                });
            });

            // Event listener for dropdown change (Company 1)
            $('#get-compare-data-1').on('change', function() {
                var companyId = $(this).val();
                $.ajax({
                    url: '{{ route('getcompare.dataleft') }}',
                    method: 'GET',
                    data: {
                        company_id: companyId,
                        poll_id: '{{ $polls->id }}'
                    },
                    success: function(response) {
                        // alert(JSON.stringify(response.departments));
                        $('#get-department-data-1').empty();
                        // Append new options based on response data
                        departmentData = '<option value="">Select Department</option>';
                        $.each(response.departments, function(index, departments) {
                            departmentData += '<option value="' + departments.id +
                                '">' + departments.name + '</option>';
                        });
                        $('#get-department-data-1').append(departmentData);
                        var newData = response.answers.map(answer => answer.react_counts_count);
                        var companyTitle = response.CompanyTitle;

                        // Update the data of the first dataset (Company 1) in the chart
                        myChart.data.datasets[0].data = newData;

                        // Update the label of the first dataset with the company title
                        myChart.data.datasets[0].label = companyTitle;

                        // Update the chart
                        myChart.update();

                        console.log(response);
                    },
                    error: function(xhr, status, error) {
                        console.error(xhr.responseText);
                    }
                });
            });
            $('#get-department-data-1').on('change', function() {
                var departmentId = $(this).val();
                var companyId = $('#get-compare-data-1').val();
                $.ajax({
                    url: '{{ route('getcompare.dataleft.bydepartment') }}',
                    method: 'GET',
                    data: {
                        department_id: departmentId,
                        poll_id: '{{ $polls->id }}',
                        company_id: companyId
                    },
                    success: function(response) {
                        // alert(JSON.stringify(response));
                        var newData = response.answers.map(answer => answer.react_counts_count);
                        var companyTitle = response.CompanyTitle;
                        // Update the data of the first dataset (Company 1) in the chart
                        myChart.data.datasets[0].data = newData;
                        // Update the label of the first dataset with the company title
                        myChart.data.datasets[0].label = companyTitle;
                        // Update the chart
                        myChart.update();
                        console.log(response);
                    },
                    error: function(xhr, status, error) {
                        console.error(xhr.responseText);
                    }
                });
            });

            $('#get-department-data').on('change', function() {
                var departmentId = $(this).val();
                var companyId = $('#get-compare-data').val();
                $.ajax({
                    url: '{{ route('getcompare.dataleft.bydepartment') }}',
                    method: 'GET',
                    data: {
                        department_id: departmentId,
                        poll_id: '{{ $polls->id }}',
                        company_id: companyId
                    },
                    success: function(response) {
                        // alert(JSON.stringify(response));
                        var newData = response.answers.map(answer => answer.react_counts_count);
                        var companyTitle = response.CompanyTitle;
                        // Update the data of the first dataset (Company 1) in the chart
                        myChart.data.datasets[1].data = newData;
                        // Update the label of the first dataset with the company title
                        myChart.data.datasets[1].label = companyTitle;
                        // Update the chart
                        myChart.update();
                        console.log(response);
                    },
                    error: function(xhr, status, error) {
                        console.error(xhr.responseText);
                    }
                });
            });


            // Survey data (question and answers are the same for both companies)
            var surveyData = {
                question: "{{ $polls->question }}",
                answers: []
            };
            var company1Reactions = [];
            $.each(@json($polls->answers), function(index, answer) {
                surveyData.answers.push({
                    label: answer.answer,
                    color: answer.color
                });
                company1Reactions.push(answer.react_counts_count);
            });

            // Create chart
            var ctx = document.getElementById('barChart').getContext('2d');
            var myChart = new Chart(ctx, {
                type: 'bar',
                data: {
                    labels: surveyData.answers.map(answer => {
                        if (answer.label.length > 452) {
                            return answer.label.substring(0, 452) + '...';
                        } else {
                            return answer.label;
                        }
                    }),
                    datasets: [{
                            label: 'All compny',
                            data: company1Reactions,
                            backgroundColor: surveyData.answers.map(answer => answer.color),
                            borderWidth: 1
                        },
                        {
                            label: 'All Company',
                            data: [], // Initially empty, will be filled by AJAX
                            backgroundColor: surveyData.answers.map(answer => answer.color),
                            borderWidth: 1
                        }
                    ]
                },
                options: {
                    scales: {
                        y: {
                            beginAtZero: true,
                            ticks: {
                                stepSize: 1
                            }
                        }
                    },
                    plugins: {
                        title: {
                            display: true,
                            text: surveyData.question,
                            font: {
                                size: 18,
                                weight: 'bold',
                                color: 'red'
                            },
                            padding: {
                                top: 10
                            }
                        },
                        legend: {
                            display: false,
                            position: 'top'
                        }
                    }
                }
            });
        });
    </script>
@endsection
