@extends('layouts.master')
@section('contain')
    <!-- Page titles -->
    <div class="row page-titles">
        <!-- Title based on whether you're updating or adding a setting -->
        <div class="col-md-5 align-self-center">
            <h4 class="card-title">Update Setting</h4>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <!-- Breadcrumbs -->
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li class="breadcrumb-item active"><a class="text-cyan" href="{{ url('/') }}">Home</a></li>
                    {{-- <li class="breadcrumb-item active"><a class="text-cyan" href="{{ Route('setting.edit') }}">Settings</a> --}}
                    </li>
                </ol>
            </div>
        </div>
    </div>
    <!-- End Page titles -->

    <!-- setting Form -->
    <div class="card ">
        <div class="card-body col-md-6">
            <h4 class="card-title"></h4>

            <!-- Form for updating an existing setting -->
            <form method="POST" action="{{ route('setting.update') }}" enctype="multipart/form-data" data-parsley-validate>
                @csrf
                @method('put')
                <!-- Form fields -->
                @foreach ($settings as $setting)
                <div class="form-row col-md-12">
                    <div class="col-md-12 mb-3">
                        <label class="font-bold">{{ ucfirst($setting->type) }} Link</label>
                        <!-- Input for the link (disabled) -->
                        <input required data-parsley-required-message="Field is required" type="url" name="{{ $setting->type }}_link"
                            value="{{ $setting->link }}" class="form-control" >
                        <input hidden value="{{ $setting->type }}" class="form-control" name="{{ $setting->type }}" >
                    </div>
                </div>
                @endforeach
                <div class="col-md-12">
                    <button type="submit" class="btn btn-info me-2 text-white">Update</button>
                </div>
            </form>

        </div>
    </div>
    </div>

    <script>
        $(document).ready(function() {
            var exampleUrl = "http://example.com";
            var errorMessage = "this field is required and  enter a valid HTTP URL. Example: " + exampleUrl;
            $('#exampleInputEmail111').parsley().on('field:error', function() {
                var errorElement = $(this.$element).closest('.form-group').find(
                    '.parsley-errors-list.filled');
                errorElement.html(errorMessage);
            });
        });
    </script>
    <script>
        var numberMask = IMask(
            document.getElementById('number-mask'), {
                mask: Number,
                min: -10000,
                max: 10000,
                thousandsSeparator: ' '
            });

        function swalll(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary field !",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                        // swal("Poof! Your imaginary file has been deleted!", {
                        //     icon: "success",
                        // });
                    } else {
                        // swal("Your imaginary file is safe!");
                    }
                });


            // alert(id);
        }
    </script>
@endsection
