<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AdsController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\PollController;
use App\Http\Controllers\PostController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\InviteController;
use App\Http\Controllers\ReportController;
use App\Http\Controllers\WinnerController;
use App\Http\Controllers\BannersController;
use App\Http\Controllers\CompanyController;
use App\Http\Controllers\ContentController;
use App\Http\Controllers\PackageController;
use App\Http\Controllers\SettingController;
use App\Http\Controllers\ActivityController;
use App\Http\Controllers\IncidentController;
use App\Http\Controllers\IndustryController;
use App\Http\Controllers\NewsFeedController;
use App\Http\Controllers\ContactUsController;
use App\Http\Controllers\HighlightController;
use App\Http\Controllers\AppFeebackController;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\DepartmentController;
use App\Http\Controllers\SuggestionController;
use App\Http\Controllers\LeaderBoardController;
use App\Http\Controllers\UserProfileController;
use App\Http\Controllers\AnnouncementController;
use App\Http\Controllers\CustomChangePasswordController;

/*
|------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(['auth', 'admin'])->group(function () {
    Route::resource('roles', RoleController::class);

    Route::prefix('user')->group(function () {
        Route::get('/userIndex', [UserController::class, 'getUsers'])->name('user.index');
        Route::delete('/delete/{user}', [UserController::class, 'deleteuser'])->name('user.delete');
        Route::get('/userinfo/{user}', [UserController::class, 'userinfo'])->name('user.info');
        Route::put('/updateuser/{user}', [UserController::class, 'updateuser'])->name('user.update');
        Route::get('/edituser/{user}', [UserController::class, 'editUser'])->name('user.edit');
        Route::get('/blockAndUnblock/{user_id}/{status}', [UserController::class, 'blockAndUnblock'])->name('blockAndUnblock.user');
        Route::get('/BlockedUserList', [UserController::class, 'BlockedUserList'])->name('Blockeduser.list');
    });
    Route::prefix('company')->group(function () {
        Route::get('/Index', [CompanyController::class, 'index'])->name('company.index');
        Route::get('/create', [CompanyController::class, 'create'])->name('company.create');
        Route::post('/check-email-availability', [CompanyController::class, 'checkEmail'])->name('check.email');
        Route::get('/view/{user}', [CompanyController::class, 'view'])->name('company.view');
        Route::get('/edit/{user}', [CompanyController::class, 'edit'])->name('company.edit');
        Route::put('/update/{user}', [CompanyController::class, 'update'])->name('company.update');
        Route::post('/add', [CompanyController::class, 'add'])->name('company.add');
        Route::get('/blockAndUnblock/{user_id}/{status}', [CompanyController::class, 'blockAndUnblock'])->name('blockAndUnblock.user');
    });

    Route::prefix('content')->group(function () {
        Route::get('/contentlist', [ContentController::class, 'getContains'])->name('content.list');
        Route::get('/contentForm', [ContentController::class, 'containForm'])->name('content.swform');
        // Route::Post('/contentAdd', [ContentController::class, 'createContain'])->name('content.add');
        Route::delete('/deleteContent/{content}', [ContentController::class, 'deleteContent'])->name('content.delete');
        Route::get('/editContent/{content}', [ContentController::class, 'editContent'])->name('content.edit');
        Route::put('/updateContent/{content}', [ContentController::class, 'updateContent'])->name('content.update');
    });
    Route::prefix('department')->group(function () {
        Route::get('/index', [DepartmentController::class, 'index'])->name('department.index');
        Route::get('/create', [DepartmentController::class, 'create'])->name('department.create');
        Route::get('/edit/{department}', [DepartmentController::class, 'edit'])->name('department.edit');
        Route::Post('/add', [DepartmentController::class, 'add'])->name('department.add');
        Route::delete('/deleteContent/{content}', [DepartmentController::class, 'deleteContent'])->name('content.delete');
        Route::put('/update/{department}', [DepartmentController::class, 'update'])->name('department.update');
    });
    Route::prefix('industry')->group(function () {
        Route::get('/index', [IndustryController::class, 'index'])->name('industry.index');
        Route::get('/create', [IndustryController::class, 'create'])->name('Industry.create');
        Route::get('/edit/{industry}', [IndustryController::class, 'edit'])->name('Industry.edit');
        Route::Post('/add', [IndustryController::class, 'add'])->name('industry.add');
        Route::put('/update/{industry}', [IndustryController::class, 'update'])->name('industry.update');
        Route::put('/update/{industry}', [IndustryController::class, 'update'])->name('industry.update');
        Route::post('/check-industry-availability', [IndustryController::class, 'checkEmail'])->name('checkUnique.industry');
    });
    Route::prefix('sugesstion')->group(function () {
        Route::get('/index', [SuggestionController::class, 'getSuggestions'])->name('suggestion.index');
        Route::get('/barchartIndex', [SuggestionController::class, 'barchartIndex'])->name('sugesstion.barchart');
        Route::get('/statusupdate/{suggestion_id?}/{status?}', [SuggestionController::class, 'statusUpdate'])->name('suggestion.status');
    });
    Route::prefix('poll')->group(function () {
        Route::get('/index', [PollController::class, 'index'])->name('poll.index');
        Route::get('/create', [PollController::class, 'create'])->name('poll.create');
        Route::get('/edit/{poll}', [PollController::class, 'edit'])->name('poll.edit');
        Route::post('/add', [PollController::class, 'add'])->name('poll.add');
        Route::post('/update/{poll}', [PollController::class, 'update'])->name('poll.update');
        Route::delete('/delete/{poll}', [PollController::class, 'delete'])->name('poll.delete');
        Route::get('/compareview/{poll_id}', [PollController::class, 'compareView'])->name('pollcompare.view');
        Route::get('/dataoverview/{poll_id}', [PollController::class, 'dataOverview'])->name('data.overview');
        Route::get('/dataleft', [PollController::class, 'compareDataLeft'])->name('getcompare.dataleft');
        Route::get('/compareDataLeftByDepartment', [PollController::class, 'compareDataLeftByDepartment'])->name('getcompare.dataleft.bydepartment');
        Route::get('/getcompaiesbyindustry', [PollController::class, 'getCompaniesByIndustry'])->name('getcompaiesby.industry');
        Route::post('/type', [PollController::class, 'pollType'])->name('poll.type');
        Route::get('/view/{id}', [PollController::class, 'analyticsView'])->name('analytics.view');
        Route::get('/get-openrate-department-data', [PollController::class, 'getOpenRateDepartmentData'])->name('getOpenRateDepartmentData');
        Route::get('/getClick', [PollController::class, 'getClickThroughRateDepartmentData'])->name('getClickThroughRateDepartmentData');
        Route::get('/pollsanalytics', [PollController::class, 'pollsAnalyticsCount'])->name('polls.analytics');
        Route::get('/avg-participation-rate', [PollController::class, 'getAvgParticipationRate'])->name('polls.avgParticipationRate');

    });
    Route::prefix('newsfeed')->group(function () {
        Route::get('/create', [NewsFeedController::class, 'create'])->name('newsfeeds.create');
        Route::get('/index', [NewsFeedController::class, 'index'])->name('newsfeed.index');
        Route::get('/show/{newsfeed}', [NewsFeedController::class, 'show'])->name('newsfeed.show');
        Route::delete('/delete/{newsfeed}', [NewsFeedController::class, 'delete'])->name('newsfeed.delete');
        Route::get('/edit/{newsfeed}', [NewsFeedController::class, 'edit'])->name('newsfeed.edit');
        Route::put('/update/{newsfeed}', [NewsFeedController::class, 'update'])->name('newsfeed.update');
        Route::post('/add', [NewsFeedController::class, 'add'])->name('newsfeed.add');
        Route::get('/newsfeedanalyticsview/{newsfeed}', [NewsFeedController::class, 'analyticsView'])->name('newsfeed.analyticsview');
        Route::get('/getNewsfeedOpenRateDepartmentData', [NewsFeedController::class, 'getNewsfeedOpenRateDepartmentData'])->name('getNewsfeedOpenRateDepartmentData');
        Route::get('/getNewsFeedClickThroughRateDepartmentData', [NewsFeedController::class, 'getNewsFeedClickThroughRateDepartmentData'])->name('getNewsFeedClickThroughRateDepartmentData');
        Route::get('/getby-day-chart', [NewsFeedController::class, 'getbyDayChart'])->name('getby-day-chart');
        Route::get('/dataOverview', [NewsFeedController::class, 'dataOverview'])->name('newsfeeds.overview');
    });
    Route::prefix('incident')->group(function () {
        Route::get('/index', [IncidentController::class, 'index'])->name('incident.index');
        Route::get('/summaryByDayAndStatus', [IncidentController::class, 'summaryByDayAndStatus'])->name('incident.summaries');
        Route::get('/incident-summary', [IncidentController::class, 'summaryByDayAndStatusAjax'])->name('incident.summary.ajax');

        Route::get('/incidentstatus', [IncidentController::class, 'incidentStatus'])->name('incident.status');
    });
    Route::prefix('invite')->group(function () {
        Route::get('/index', [InviteController::class, 'index'])->name('invite.index');
        Route::get('/invitecreate', [InviteController::class, 'create'])->name('invite.create');
        Route::post('/sendInvites', [InviteController::class, 'sendInvites'])->name('send.Invites');
        Route::delete('/delete/{invite}', [InviteController::class, 'delete'])->name('invite.delete');
    });
    Route::prefix('activity')->group(function () {
        Route::get('/index', [ActivityController::class, 'index'])->name('activity.list');
        Route::get('/activityCount', [ActivityController::class, 'countNotification'])->name('activity.count');
        Route::get('/redirect/{object_type}/{object_id}/{actor_id}', [ActivityController::class, 'redirect'])->name('activity.redirect');
    });


    Route::prefix('updatePassword')->group(function () {
        Route::Put('/updatePassword', [CustomChangePasswordController::class, 'updatePassword'])->name('update.Password');
        Route::get('/update.PasswordForm', [CustomChangePasswordController::class, 'updatePasswordForm'])->name('update.PasswordForm');
    });


    Route::prefix('userProfile')->group(function () {
        Route::get('/userProfile', [UserProfileController::class, 'userProfileForm'])->name('userProfile.Form');
        Route::put('/userProfileUpdate', [UserProfileController::class, 'userProfileUpdate'])->name('userProfile.Update');
    });
    Route::prefix('setting')->group(function () {
        Route::get('/index', [SettingController::class, 'index'])->name('setting.index');
        Route::put('/Update', [SettingController::class, 'Update'])->name('setting.update');
    });
    Route::prefix('feedback')->group(function () {
        Route::get('/index', [AppFeebackController::class, 'index'])->name('feedback.index');
        Route::delete('/delete/{feedback}', [AppFeebackController::class, 'delete'])->name('feedback.delete');
    });
    Route::prefix('contactus')->group(function () {
        Route::get('/index', [ContactUsController::class, 'index'])->name('contactus.index');
        Route::delete('/delete/{contactus}', [ContactUsController::class, 'delete'])->name('contact.delete');
    });
    Route::prefix('announcements')->group(function () {
        Route::get('/announcements', [AnnouncementController::class, 'index'])->name('announcement.list');
        Route::get('/announcementform', [AnnouncementController::class, 'create'])->name('annoucnment.swform');
        Route::Post('/annoucnmentadd', [AnnouncementController::class, 'annoucnmentAdd'])->name('annoucnment.add');
        Route::get('/announcmentedit/{announcement}', [AnnouncementController::class, 'announcmentEdit'])->name('announcment.edit');
        Route::delete('/announcmentdelete/{announcement}', [AnnouncementController::class, 'announcmentDelete'])->name('announcment.delete');
        Route::Post('/announcementupdate/{announcement}', [AnnouncementController::class, 'announcementUpdate'])->name('announcement.update');
    });




    Route::get('/home', [HomeController::class, 'index'])->name('home');
});

Auth::routes();
Route::get('/share-link/{referralCode}', function ($referralCode) {
    return view('shere.link', ['referralCode' => $referralCode]);
});
Route::get('/', [LoginController::class, 'showLoginForm'])->name('login.form');
// Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::get('/clear', function () {
    \Artisan::call('config:clear');
    \Artisan::call('cache:clear');
    // composer dump-autoload
    \Artisan::call('view:clear');
    \Artisan::call('route:clear');
    return 'clear all';
})->name('LP');
