<?php $__env->startSection('contain'); ?>
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Poll Analytics</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="<?php echo e(url('/')); ?>">Home</a></li>
                    <li><a class="breadcrumb-item active" href="javascript:history.go(-1);">back</a></li>
                    
                </ol>
                
            </div>
        </div>
    </div>
    <style>
        .product-review {
            list-style: none;
            padding: 0;
            margin: 9%;
        }

        .product-review li {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            margin-bottom: -43px;
            /* Decreased space between items */
            position: relative;
        }

        .product-review font {
            margin-right: 10px;
            font-size: 1.5rem;
            /* Ensure icons are sharp */
        }

        .product-review span {
            flex-grow: 1;
            margin-right: 10px;
        }

        .product-review .card-title,
        .product-review .card-subtitle {
            margin: 0;
            padding: 0;
            font-size: 1rem;
            /* Ensure text is sharp */
        }

        .product-review .progress {
            flex-grow: 1;
            height: 10px;
            /* Adjusted height for better spacing */
            background-color: #e9ecef;
            position: relative;
            margin-bottom: 30px;
            /* Add space for the text above the bar */
        }

        .product-review .progress-bar {
            height: 100%;
            position: relative;
        }

        .product-review .progress-bar .progress-bar-text {
            position: absolute;
            left: 50%;
            bottom: 100%;
            transform: translate(-50%, -10%);
            font-size: 0.8rem;
            color: #000;
            /* Ensure the text is readable */
            white-space: nowrap;
        }

        .progress-bar.bg-success {
            background-color: #28a745;
        }

        .progress-bar.bg-danger {
            background-color: #dc3545;
        }

        .progress-bar.bg-primary {
            background-color: #007bff;
        }

        /* Responsive adjustments */
        @media (max-width: 768px) {
            .product-review li {
                flex-direction: column;
                align-items: flex-start;
            }

            .product-review font {
                margin-bottom: 5px;
            }

            .product-review span {
                margin-bottom: 5px;
            }
        }

        /* Additional styles for the nested list and lines */
        .product-review ul {
            list-style-type: none;
            margin: 5%;
            padding: 0;
            width: 100%;
        }

        .nested-list {
            margin-left: 20px;
        }

        .text-muted {
            font-size: 1.5em;
        }

        .card-title {
            font-size: 1.2em;
        }

        .card-subtitle {
            font-size: 1em;
        }

        .progress {
            height: 15px;
            margin-top: 5px;
        }

        .category-label {
            transform: rotate(-90deg);
            transform-origin: left bottom;
            display: inline-block;
            margin-left: -4%;
            font-weight: bold;
            position: absolute;
            /* Adjusted to set the label position */
        }

        .line {
            position: absolute;
            left: -20px;
            top: 2%;
            bottom: 2%;
            width: 3px;
            background-color: #ccc;
        }

        .promoter .line {
            background-color: green;
        }

        .passive .line {
            background-color: orange;
        }

        .detractor .line {
            background-color: red;
        }

        .btn-filter {
            margin: 0;
            padding: 0px 5px;
            cursor: pointer;
            border: 1px solid blue;
            border-right: none;
            background-color: white;
            color: blue;
            transition: background-color 0.3s, color 0.3s;
        }

        .btn-filter:last-child {
            border-right: 1px solid blue;
            border-bottom-right-radius: 10px;
            border-top-right-radius: 10px;
        }

        .btn-filter.selected {
            background-color: blue;
            color: white;
        }
    </style>
    <div class="card">
        <div class="card-body">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-4">
                        <div class="card" style="position: relative;">
                            <div class="font-bold text-muted" style=" left: 50%; text-align: center; font-size: small;">
                                Participation Rate By Department</div>

                            <canvas id="departmentChart"></canvas>
                            <div id="chart-center" style=" left: 50%; text-align: center; font-size: 24px;"></div>
                        </div>
                    </div>

                    <div class="card col-md-8">
                        <div style="height: 50vh;">
                            <div class="font-bold text-muted" style=" left: 50%; text-align: center; font-size: small;">Net
                                Promoter Score Monthly Intervals</div>
                            <canvas id="npsChart"></canvas>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-4">
                        <div class="card text-center"
                            style="position: relative; padding: 24%; box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);">
                            <h5 class="font-bold text-muted mb-3" style="font-size: 1.25rem; margin-bottom: 1rem;">
                                Communication Open Rate</h5>
                            <div class="mb-3" style="margin-bottom: 1rem;">
                                <select id="department-filter" class="custom-select"
                                    style="font-size: 1rem; border-radius: 0.25rem; border: 1px solid #ced4da;">
                                    <option value="">Filter By Department</option>
                                    <?php $__currentLoopData = $departments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $department): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($department->id); ?>"><?php echo e($department->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <input type="hidden" value="<?php echo e($pollId); ?>" name="poll_id" id="poll_id">
                            </div>
                            <div class="card-body" style="padding-top: 0;">
                                <p class="card-text" id="department-percentage"
                                    style="font-size: 3rem; font-weight: bold; color: #007bff; margin-top: 1rem; margin-bottom: 0;">
                                    <?php echo e(round($CommunicationsEngagementPercentage, 1)); ?>%
                                </p>
                            </div>
                        </div>
                        
                        
                        <div class="card text-center"
                            style="position: relative; padding: 24%; box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);">
                            <h5 class="font-bold text-muted mb-3" style="font-size: 1.25rem; margin-bottom: 1rem;">
                                Communication Click Through Rate</h5>
                            <div class="mb-3" style="margin-bottom: 1rem;">
                                <select id="filter-click-through-rate" class="custom-select"
                                    style="font-size: 1rem; border-radius: 0.25rem; border: 1px solid #ced4da;">
                                    <option value="">Filter By Department</option>
                                    <?php $__currentLoopData = $departments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $department): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($department->id); ?>"><?php echo e($department->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <input type="hidden" value="<?php echo e($pollId); ?>" name="poll_id" id="poll_id">
                            </div>
                            <div class="card-body" style="padding-top: 0;">
                                <p class="card-text" id="department-percentage-click-through-rate"
                                    style="font-size: 3rem; font-weight: bold; color: #007bff; margin-top: 1rem; margin-bottom: 0;">
                                    <?php echo e(round($clickThroughRateCount, 1)); ?>%
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="card col-md-8">
                        <div class="font-bold text-muted" style=" left: 50%; text-align: center; font-size: small;">
                            Sentiment Categories & Induvidual Bar Response</div>
                        <ul class="product-review">
                            <!-- Promoter Group -->
                            <li class="promoter">
                                <div class="line"></div>
                                <div class="category-label">Promoter</div>
                                <ul class="nested-list">
                                    <?php $__currentLoopData = $pollAnswers->answers->slice(0, 2); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pollAnswer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php
                                            $percentage = number_format(
                                                ($pollAnswer->react_counts_count / $pollAnswers->totalUsers) * 100,
                                                1,
                                            );
                                            switch ($pollAnswer->grade) {
                                                case '1':
                                                    $emoji = 'mdi mdi-emoticon-excited';
                                                    break;
                                                case '2':
                                                    $emoji = 'mdi mdi-emoticon-happy';
                                                    break;
                                                case '3':
                                                    $emoji = 'mdi mdi-emoticon-neutral';
                                                    break;
                                                case '4':
                                                    $emoji = 'mdi mdi-emoticon-sad';
                                                    break;
                                                case '5':
                                                    $emoji = 'mdi mdi-emoticon-dead';
                                                    break;
                                                default:
                                                    $emoji = 'mdi mdi-emoticon-dead';
                                                    break;
                                            }
                                        ?>

                                        <li>
                                            <font class="text-muted display-5"><i class="<?php echo e($emoji); ?>"
                                                    style="color: <?php echo e($pollAnswer->color); ?>"></i></font>
                                            <span>
                                                <h6 class="card-title"><?php echo e($pollAnswer->answer); ?></h6>
                                                <h6 class="card-subtitle">Total Reviews
                                                    (<?php echo e($pollAnswer->react_counts_count); ?>) (<?php echo e($percentage . ' %'); ?>)
                                                </h6>
                                            </span>
                                            <div class="progress">
                                                <div class="progress-bar" role="progressbar"
                                                    style="width: <?php echo e($percentage); ?>%; background-color: <?php echo e($pollAnswer->color); ?>"
                                                    aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">
                                                    <span class="progress-bar-text"><?php echo e($percentage); ?>%</span>
                                                </div>
                                            </div>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </li>

                            <!-- Passive Group -->
                            <li class="passive">
                                <div class="line"></div>
                                <div class="category-label">Passive</div>
                                <ul class="nested-list">
                                    <?php $__currentLoopData = $pollAnswers->answers->slice(2, 1); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pollAnswer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php
                                            $percentage = number_format(
                                                ($pollAnswer->react_counts_count / $pollAnswers->totalUsers) * 100,
                                                1,
                                            );
                                            switch ($pollAnswer->grade) {
                                                case '1':
                                                    $emoji = 'mdi mdi-emoticon-excited';
                                                    break;
                                                case '2':
                                                    $emoji = 'mdi mdi-emoticon-happy';
                                                    break;
                                                case '3':
                                                    $emoji = 'mdi mdi-emoticon-neutral';
                                                    break;
                                                case '4':
                                                    $emoji = 'mdi mdi-emoticon-sad';
                                                    break;
                                                case '5':
                                                    $emoji = 'mdi mdi-emoticon-dead';
                                                    break;
                                                default:
                                                    $emoji = 'mdi mdi-emoticon-dead';
                                                    break;
                                            }
                                        ?>

                                        <li>
                                            <font class="text-muted display-5"><i class="<?php echo e($emoji); ?>"
                                                    style="color: <?php echo e($pollAnswer->color); ?>"></i></font>
                                            <span>
                                                <h6 class="card-title"><?php echo e($pollAnswer->answer); ?></h6>
                                                <h6 class="card-subtitle">Total Reviews
                                                    (<?php echo e($pollAnswer->react_counts_count); ?>) (<?php echo e($percentage . ' %'); ?>)
                                                </h6>
                                            </span>
                                            <div class="progress">
                                                <div class="progress-bar" role="progressbar"
                                                    style="width: <?php echo e($percentage); ?>%; background-color: <?php echo e($pollAnswer->color); ?>"
                                                    aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">
                                                    <span class="progress-bar-text"><?php echo e($percentage); ?>%</span>
                                                </div>
                                            </div>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </li>

                            <!-- Detractor Group -->
                            <li class="detractor">
                                <div class="line"></div>
                                <div class="category-label">Detractor</div>
                                <ul class="nested-list">
                                    <?php $__currentLoopData = $pollAnswers->answers->slice(3, 2); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pollAnswer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php
                                            $percentage = number_format(
                                                ($pollAnswer->react_counts_count / $pollAnswers->totalUsers) * 100,
                                                1,
                                            );
                                            switch ($pollAnswer->grade) {
                                                case '1':
                                                    $emoji = 'mdi mdi-emoticon-excited';
                                                    break;
                                                case '2':
                                                    $emoji = 'mdi mdi-emoticon-happy';
                                                    break;
                                                case '3':
                                                    $emoji = 'mdi mdi-emoticon-neutral';
                                                    break;
                                                case '4':
                                                    $emoji = 'mdi mdi-emoticon-sad';
                                                    break;
                                                case '5':
                                                    $emoji = 'mdi mdi-emoticon-dead';
                                                    break;
                                                default:
                                                    $emoji = 'mdi mdi-emoticon-dead';
                                                    break;
                                            }
                                        ?>

                                        <li>
                                            <font class="text-muted display-5"><i class="<?php echo e($emoji); ?>"
                                                    style="color: <?php echo e($pollAnswer->color); ?>"></i></font>
                                            <span>
                                                <h6 class="card-title"><?php echo e($pollAnswer->answer); ?></h6>
                                                <h6 class="card-subtitle">Total Reviews
                                                    (<?php echo e($pollAnswer->react_counts_count); ?>) (<?php echo e($percentage . ' %'); ?>)
                                                </h6>
                                            </span>
                                            <div class="progress">
                                                <div class="progress-bar" role="progressbar"
                                                    style="width: <?php echo e($percentage); ?>%; background-color: <?php echo e($pollAnswer->color); ?>"
                                                    aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">
                                                    <span class="progress-bar-text"><?php echo e($percentage); ?>%</span>
                                                </div>
                                            </div>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </li>
                        </ul>
                    </div>

                    <div class="card mx-auto col-md-10">
                        <div class="font-bold text-muted" style=" left: 50%; text-align: center; font-size: small;">Net
                            Peak Times / Click Maps</div>
                        <div class="button-group" style="display: -webkit-inline-box; justify-content: center">
                            <button class="btn-filter" data-range="1hr">1 Hour</button>
                            <button class="btn-filter" data-range="3hr">3 Hours</button>
                            <button class="btn-filter" data-range="6hr">6 Hours</button>
                            <button class="btn-filter selected" data-range="full">Full Day</button>
                            <button class="btn-filter" data-range="currentMonth">Full Month</button>
                        </div>
                        <canvas id="myChart" width="400" height="200"></canvas>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
        // Net Peak Times / Click Maps filter
        document.querySelectorAll('.btn-filter').forEach(button => {
            button.addEventListener('click', (event) => {
                document.querySelectorAll('.btn-filter').forEach(btn => btn.classList.remove('selected'));
                event.target.classList.add('selected');
                const range = event.target.getAttribute('data-range');
                createChart(range);
            });
        });
        // Net Peak Times / Click Maps filter end
        $(document).ready(function() {
            // Net Peak Times / Click Maps filter chart
            const data = <?php echo json_encode($PeakTimesClickMaps, 15, 512) ?>;
            // const data = {
            //     '1hr': {
            //         labels: ['0:00', '0:15', '0:30', '0:45', '1:00'],
            //         open: [12, 19, 3, 5, 2],
            //         click: [8, 12, 1, 4, 1]
            //     },
            //     '3hr': {
            //         labels: ['0:00', '0:30', '1:00', '1:30', '2:00', '2:30', '3:00'],
            //         open: [12, 19, 3, 5, 2, 3, 6],
            //         click: [8, 12, 1, 4, 1, 2, 4]
            //     },
            //     '6hr': {
            //         labels: ['0:00', '1:00', '2:00', '3:00', '4:00', '5:00', '6:00'],
            //         open: [12, 19, 3, 5, 2, 3, 8],
            //         click: [8, 12, 1, 4, 1, 2, 5]
            //     },
            //     'full': {
            //         labels: ['0:00', '1:00', '2:00', '3:00', '4:00', '5:00', '6:00', '7:00', '8:00', '9:00',
            //             '10:00', '11:00', '12:00', '13:00', '14:00', '15:00', '16:00', '17:00', '18:00',
            //             '19:00', '20:00', '21:00', '22:00', '23:00'
            //         ],
            //         open: [12, 19, 3, 5, 2, 3, 8, 5, 6, 7, 3, 2, 6, 9, 12, 11, 8, 5, 6, 7, 4, 3, 5, 2],
            //         click: [8, 12, 1, 4, 1, 2, 5, 3, 4, 5, 2, 1, 4, 7, 10, 9, 6, 3, 4, 5, 2, 1, 3, 1]
            //     }
            // };

            let chart;

            document.querySelectorAll('.button-group button').forEach(button => {
                button.addEventListener('click', (event) => {
                    const range = event.target.getAttribute('data-range');
                    createChart(range);

                });
            });

            function createChart(range) {
                const ctx = document.getElementById('myChart').getContext('2d');
                let chartData;
                chartData = data[range];
                if (chart) {
                    chart.destroy();
                }
                chart = new Chart(ctx, {
                    type: 'line',
                    data: {
                        labels: chartData.labels,
                        datasets: [{
                                label: 'Open',
                                data: chartData.open,
                                borderColor: 'blue',
                                backgroundColor: 'rgba(0, 0, 255, 0.2)', // Transparent blue (0.2 alpha)
                                fill: true,
                                tension: 0.4,
                                pointRadius: 4,
                                pointHoverRadius: 6,
                                pointBackgroundColor: 'blue',
                                pointBorderColor: 'blue',
                                pointHoverBackgroundColor: 'blue',
                                pointHoverBorderColor: 'blue',
                                borderRadius: 10
                            },
                            {
                                label: 'Click',
                                data: chartData.click,
                                borderColor: 'gray',
                                fill: true,
                                tension: 0.4,
                                pointRadius: 4,
                                pointHoverRadius: 6,
                                pointBackgroundColor: 'gray',
                                pointBorderColor: 'gray',
                                pointHoverBackgroundColor: 'gray',
                                pointHoverBorderColor: 'gray',
                                borderRadius: 0
                            }
                        ]
                    },
                    options: {
                        scales: {
                            x: {
                                title: {
                                    display: true,
                                    text: 'Time'
                                }
                            },
                            y: {
                                title: {
                                    display: true,
                                    text: 'Count'
                                },
                                beginAtZero: true,
                                suggestedMax: Math.max(...chartData.open, ...chartData.click) + 2
                            }
                        }
                    }
                });
            }
            // Initialize chart with the full range
            createChart('full');
            // Net Peak Times / Click Maps filter chart end
            // line chart
            const totalReactCountByMonth = <?php echo json_encode($totalReactCountByMonth, 15, 512) ?>;
            const monthlyLabels = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August',
                'September', 'October', 'November', 'December'
            ];

            // Using the provided totalReactCountByMonth data
            const passivesData = monthlyLabels.map(month => totalReactCountByMonth[month]?.passive || 0);
            const promotersData = monthlyLabels.map(month => totalReactCountByMonth[month]?.promoter || 0);
            const detractorsData = monthlyLabels.map(month => totalReactCountByMonth[month]?.detractor || 0);

            const ctx = document.getElementById('npsChart').getContext('2d');

            const npsChart = new Chart(ctx, {
                type: 'line',
                data: {
                    labels: monthlyLabels,
                    datasets: [{
                            label: 'Passives',
                            data: passivesData,
                            borderColor: 'orange',
                            backgroundColor: 'transparent',
                            fill: false,
                            tension: 0.4,
                            pointStyle: 'rectRounded',
                            pointBackgroundColor: 'orange',
                            pointBorderColor: 'white',
                            pointHoverRadius: 7,
                            pointHoverBackgroundColor: 'orange',
                        },
                        {
                            label: 'Promoters',
                            data: promotersData,
                            borderColor: 'green',
                            backgroundColor: 'transparent',
                            fill: false,
                            tension: 0.4,
                            pointStyle: 'triangle',
                            pointBackgroundColor: 'green',
                            pointBorderColor: 'white',
                            pointHoverRadius: 7,
                            pointHoverBackgroundColor: 'green',
                        },
                        {
                            label: 'Detractors',
                            data: detractorsData,
                            borderColor: 'red',
                            backgroundColor: 'transparent',
                            fill: false,
                            tension: 0.4,
                            pointStyle: 'circle',
                            pointBackgroundColor: 'red',
                            pointBorderColor: 'white',
                            pointHoverRadius: 7,
                            pointHoverBackgroundColor: 'red',
                        },
                    ],
                },
                options: {
                    responsive: true,
                    maintainAspectRatio: false,
                    scales: {
                        y: {
                            beginAtZero: true,
                            suggestedMax: Math.max(...passivesData, ...promotersData, ...detractorsData) +
                                1,
                            // Other y-axis options
                        },
                    },
                    plugins: {
                        tooltip: {
                            backgroundColor: 'rgba(0, 0, 0, 0.7)',
                            titleFont: {
                                size: 16,
                            },
                            bodyFont: {
                                size: 14,
                            },
                            padding: 10,
                        },
                        legend: {
                            display: true,
                            position: 'top',
                            labels: {
                                font: {
                                    size: 14,
                                },
                                color: '#333',
                            },
                        },
                    },
                },
            });



        });
        // line chart end
        // pie chart
        const departments = <?php echo json_encode($pieData['departments'], 15, 512) ?>;
        const departmentCounts = <?php echo json_encode($pieData['departmentReactCounts'], 15, 512) ?>; // Example data

        // Calculate the total count
        const totalCount = departmentCounts.reduce((acc, count) => acc + count, 0);

        // Assume total percentage is 60%
        // const totalPercentage = <?php echo json_encode($pieData['TotalPercentage'], 15, 512) ?>;
        const totalPercentage = Math.round(<?php echo json_encode($pieData['TotalPercentage'], 1, 512) ?>);

        // Calculate the actual department percentages based on the total percentage
        const departmentPercentages = departmentCounts.map(count => ((count / totalCount) * totalPercentage).toFixed(1));

        // Calculate the remaining percentage
        const remainingPercentage = (100 - totalPercentage).toFixed(1);

        // Colors for each department plus the blank space
        const colors = <?php echo json_encode($pieData['colors'], 15, 512) ?>; // The last color is gray for the blank space

        // Update departmentCounts to include the remaining percentage as a segment
        departmentCounts.push(totalCount * (remainingPercentage / totalPercentage));

        // Display the total percentage in the center
        const centerText = `${totalPercentage}%`;
        document.getElementById('chart-center').innerText = 'Total' + " " + centerText;

        const ctx = document.getElementById('departmentChart').getContext('2d');

        const departmentChart = new Chart(ctx, {
            type: 'doughnut',
            data: {
                // labels: departments.map((department, index) => `${department} (${departmentPercentages[index]}%)`)
                labels: departments.map((department, index) => `${department}`)
                    .concat(['Remaining']),
                datasets: [{
                    data: departmentCounts,
                    backgroundColor: colors,
                    hoverBackgroundColor: colors
                }]
            },
            options: {
                responsive: true,
                plugins: {
                    tooltip: {
                        callbacks: {
                            label: function(context) {
                                const label = context.label || '';
                                const value = context.raw || 0;
                                const percentage = departmentPercentages[context.dataIndex] ||
                                    remainingPercentage;
                                return `Total(${value.toFixed(0)}) Percentage(${percentage}%)`;
                                // return `${label}: ${value.toFixed(1)} (${percentage}%)`;
                            }
                        },
                        backgroundColor: 'rgba(0, 0, 0, 0.7)',
                        titleFont: {
                            size: 16,
                        },
                        bodyFont: {
                            size: 14,
                        },
                        padding: 10,
                    },
                    legend: {
                        display: true,
                        position: 'top',
                        labels: {
                            font: {
                                size: 12,
                            },
                            color: '#333',
                        },
                    },
                },
                cutout: '0%',
            },
        });
        // pie chart end
        // open rate filter data
        $(document).ready(function() {
            $('#department-filter').change(function() {
                var departmentId = $(this).val();
                var poll_id = $('#poll_id').val();
                $.ajax({
                    url: '<?php echo e(route('getOpenRateDepartmentData')); ?>', // Adjust the URL to your route
                    method: 'GET',
                    data: {
                        department_id: departmentId,
                        poll_id: poll_id
                    },
                    success: function(response) {
                        // Assuming response contains the percentage value
                        $('#department-percentage').text(response.percentage + '%');
                    },
                    error: function(xhr, status, error) {
                        console.error('AJAX Error: ' + status + error);
                    }
                });
            });
            $('#filter-click-through-rate').change(function() {
                var departmentId = $(this).val();
                var poll_id = $('#poll_id').val();
                $.ajax({
                    url: '<?php echo e(route('getClickThroughRateDepartmentData')); ?>', // Adjust the URL to your route
                    method: 'GET',
                    data: {
                        department_id: departmentId,
                        poll_id: poll_id
                    },
                    success: function(response) {
                        // alert(JSON.stringify(response));
                        // Assuming response contains the percentage value
                        $('#department-percentage-click-through-rate').text(response
                            .percentage + '%');
                    },
                    error: function(xhr, status, error) {
                        console.error('AJAX Error: ' + status + error);
                    }
                });
            });

        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\bizzfeed_admin_2024\resources\views/poll/PollAnalytics.blade.php ENDPATH**/ ?>