<?php $__env->startSection('contain'); ?>
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">
                <?php echo e(auth()->user()->user_role == 'sub_admin' ? 'Poll Management' : 'Stock Poll Management'); ?></h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="<?php echo e(url('/')); ?>">Home</a></li>
                    
                </ol>
                <?php if(auth()->user()->user_role == 'sub_admin' || (auth()->user()->user_role == 'admin' && $is_stock < 10)): ?>
                <?php if(auth()->user()->user_role == 'sub_admin'): ?>
                    <a href="<?php echo e(route('polls.analytics')); ?>">
                        <button title="Polls Analytics" type="button" class="btn btn-info d-none d-lg-block m-l-15 text-white">
                            <i class="fa fa-line-chart"></i> Polls Analytics
                        </button>
                    </a>
                <?php endif; ?>
                    <a href="<?php echo e(route('poll.create')); ?>">
                        <button type="button" class="btn btn-info d-none d-lg-block m-l-15 text-white">
                            <i class="fa fa-plus-circle"></i>Create New
                        </button>
                    </a>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            
            <div class="table-responsive">
                <table id="myTable" class="table table-striped border">
                    <thead>
                        <tr class="text-white" style="background-color: gray">
                            <th>S.No</th>
                            <th>Question</th>
                            <th>End Date</th>
                            
                            <th class="action-hide">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                            $num = 1;
                        ?>
                        <?php $__currentLoopData = $polls; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $poll): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($num++); ?></td>
                                <td><?php echo e($poll->question); ?></td>
                                <td><?php echo e($poll->end_date); ?></td>
                                <td class="text-canter">

                                    <?php if(auth()->user()->user_role == 'sub_admin' && $poll->is_stock == true): ?>
                                        <a style="margin-left: 9%;" href="<?php echo e(Route('pollcompare.view', $poll->id)); ?>"><i
                                                title="compare data" class="far fa-bar-chart btn btn-primary"></i></a>
                                        <a href="#" onclick="togglePollType(<?php echo e(json_encode($poll)); ?>)">
                                            <i id="type-remove-add-<?php echo e($poll->id); ?>"
                                                title="<?php echo e($poll->pollstatus != null ? 'update Status to public' : 'update Status to private'); ?>"
                                                class="<?php echo e($poll->pollstatus != null ? 'fas fa-lock btn btn-success' : 'fas fa-unlock btn btn-danger'); ?>"></i>
                                        </a>
                                    <?php elseif(auth()->user()->user_role == 'admin'): ?>
                                        <a href="<?php echo e(Route('data.overview', $poll->id)); ?>"><i title="Data overview"
                                                class="mdi mdi-chart-line btn btn-success" style="height: 30px"></i></a>
                                        <a href="<?php echo e(Route('pollcompare.view', $poll->id)); ?>"><i title="compare data"
                                                class="far fa-bar-chart btn btn-primary"></i></a>
                                    <?php endif; ?>
                                    <?php if(auth()->user()->user_role == 'admin'): ?>
                                        <a type="button" data-bs-toggle="modal" data-bs-target="#exampleModal"
                                            data-msg="<?php echo e(json_encode($poll->answers)); ?>"
                                            data-stock="<?php echo e(json_encode($poll->is_stock)); ?>" onclick="setMsg(this)">
                                            <i title="view Progress Bars" class="fas fa-eye btn btn-info"></i>
                                        </a>
                                        <a href="<?php echo e(Route('poll.edit', $poll->id)); ?>"><i title="Edit"
                                                class="far fa-edit btn btn-info"></i></a>
                                        <a title="Delete" onclick="swalll(<?php echo e($poll->id); ?>)"><i
                                                class="far fa-trash-alt btn btn-danger "></i></a>
                                        <form id="delete-form-<?php echo e($poll->id); ?>"
                                            action="<?php echo e(Route('poll.delete', $poll->id)); ?>" method="POST" class="d-none">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                        </form>
                                    <?php elseif(auth()->user()->user_role == 'sub_admin' && $poll->is_stock == false): ?>
                                        <a style="margin-left: -5%;" type="button" data-bs-toggle="modal"
                                            data-bs-target="#exampleModal" data-msg="<?php echo e(json_encode($poll->answers)); ?>"
                                            data-stock="<?php echo e(json_encode($poll->is_stock)); ?>" onclick="setMsg(this)">
                                            <i title="view Progress Bars" class="fas fa-eye btn btn-info"></i>
                                        </a>
                                        <a title="analytics" href="<?php echo e(Route('analytics.view', $poll->id)); ?>"><i
                                                class="fas fa-chart-pie btn btn-success"></i></a>

                                        <a href="<?php echo e(Route('poll.edit', $poll->id)); ?>"><i title="Edit"
                                                class="far fa-edit btn btn-info"></i></a>
                                        <a title="Delete" onclick="swalll(<?php echo e($poll->id); ?>)"><i
                                                class="far fa-trash-alt btn btn-danger "></i></a>
                                        <form id="delete-form-<?php echo e($poll->id); ?>"
                                            action="<?php echo e(Route('poll.delete', $poll->id)); ?>" method="POST" class="d-none">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                        </form>
                                    <?php endif; ?>
                                    
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <!-- sample modal content -->
    <div class="modal" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel1">
        <div class="modal-dialog " role="document">
            <div class="modal-content topbar" style="border-radius: 5%;scale: 0.9;margin-top: -10%;">
                <div class="modal-header">
                    <h4 class="font-bold text-white" id="exampleModalLabel1">Poll Progress
                    </h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true"></span></button>
                </div>
                <div class="row">
                    <!-- Column -->
                    <div class="col-lg-12">
                        <div class="card">
                            

                            <div class="col-md-8">
                                
                                <div id="visitfromworld"></div>
                            </div>
                            <div class="col-md-12">
                                <ul class="country-state slimscrollcountry" id="modal-list">
                                    
                                </ul>
                            </div>
                        </div>
                        
                    </div>
                    <!-- Column -->
                </div>
                <button type="button" class="btn btn-default text-dark" data-bs-dismiss="modal">Close</button>
                
            </div>
        </div>
    </div>
    <!-- /.modal -->

    <script>
        function togglePollType(poll) {
            var baseUrl = '<?php echo e(route('poll.type')); ?>';
            var newType = (poll.poll_status != null) ? 'public' : 'private';
            var icon = $('#type-remove-add-' + poll.id);
            var hasSuccessClass = icon.hasClass('btn-success');
            var message;
            if (hasSuccessClass) {
                message = 'You are about to change the poll status to public.';
            } else {
                message = 'You are about to change the poll status to private.';
            }
            swal({
                title: 'Are you sure?',
                text: message,
                icon: 'warning',
                buttons: {
                    cancel: 'No, cancel!',
                    confirm: 'Yes, change it!'
                },
                dangerMode: true
            }).then((isConfirmed) => {
                if (isConfirmed) {
                    // Perform the toggle action here, e.g., make an AJAX request
                    $.ajax({
                        url: baseUrl,
                        type: 'POST',
                        data: {
                            _token: '<?php echo e(csrf_token()); ?>',
                            type: newType,
                            id: poll.id,
                        },
                        success: function(response) {
                            if (hasSuccessClass) {
                                icon.removeClass('fa-lock btn-success').addClass(
                                    'fa-unlock btn-danger');
                            } else {
                                icon.removeClass('fa-unlock btn-danger').addClass(
                                    'fa-lock btn-success');
                            }
                            setTimeout(function() {
                                window.location.reload();
                                // Set Toastr options
                                toastr.options = {
                                    "closeButton": true,
                                    "progressBar": true,
                                    "positionClass": "toast-top-right",
                                };

                                // Fire Toastr notification with the message from Laravel session
                            }, 1000); // 1000 milliseconds (1 second) delay
                            toastr.success("status updated successfully");

                        }
                    });
                }
            });
        }

        // popup method
        function setMsg(e) {
            var listItem = '';
            var s_no = 1;
            let mydata = $(e).attr("data-msg");
            let stock = $(e).attr("data-stock");
            if (mydata.length > 0) {
                mydata = eval(mydata);
                console.log(mydata);
                $.each(mydata, function(key, value) {
                    // alert(JSON.stringify(value));
                    var userCount = <?php echo e($userCount); ?>;
                    var app_user = <?php echo e($appUserCount); ?>;
                    var colorClass = getRandomColorClass();
                    var percent = stock == false ? (value.react_counts_count / userCount) * 100 : (value
                        .react_counts_count / app_user) * 100;
                    var integerValue = Math.floor(percent);
                    listItem += '<li><h5>' + value.react_counts_count + '</h2><small>' + value.answer +
                        '</small><div class="pull-right">' + integerValue + ' %' +
                        ' <i></i></div><div class="progress" style="position: relative;"><div class="progress-bar" role="progressbar" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100" style="width:' +
                        percent + '%; height: 100%; background:' + value.color +
                        '"><span class="sr-only">' + percent +
                        '% Complete</span></div><img src="<?php echo e(env('MEDIA_URL')); ?>' + value.emoji +
                        '" alt="Emoji" width="18" style="position: absolute; right: 0; top: 7px; transform: translateY(-50%);"></div></li>';

                });
                $('#modal-list').html(listItem);

                $('#modal-list').html(listItem);
            } else {}

            $('.mydata').empty();
        }

        function getRandomColorClass() {
            var letters = '0123456789ABCDEF';
            var color = '#';
            for (var i = 0; i < 6; i++) {
                color += letters[Math.floor(Math.random() * 16)];
            }
            return color; // Return a custom color class
        }
        // popup method
        function swalll(id) {
            event.preventDefault();
            swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this imaginary field !",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                .then((willDelete) => {
                    if (willDelete) {
                        var formId = "delete-form-" + id;
                        document.getElementById(formId).submit();
                        // swal("Poof! Your imaginary file has been deleted!", {
                        //     icon: "success",
                        // });
                    } else {
                        // swal("Your imaginary file is safe!");
                    }
                });


            // alert(id);
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\bizzfeed_admin_2024\resources\views/poll/PollList.blade.php ENDPATH**/ ?>