<?php $__env->startSection('contain'); ?>
<style>
    .button-group {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .btn-filter,
    .custom-date-picker {
        padding: 8px 16px;
        border: 1px solid #ccc;
        background-color: #f8f9fa;
        cursor: pointer;
        transition: background-color 0.3s;
        border-radius: 0;
        height: 40px;
        /* Set a fixed height */
        line-height: 24px;
        /* Adjust line height for vertical alignment */
    }

    .btn-filter:first-child {
        border-radius: 5px 0 0 5px;
    }

    .btn-filter:last-child,
    .custom-date-picker:last-child {
        border-radius: 0 5px 5px 0;
    }

    .btn-filter:hover {
        background-color: #e9ecef;
    }

    .btn-filter.selected {
        background-color: #007bff;
        color: white;
    }

    .custom-date-picker {
        padding: 8px 16px;
        border-left: none;
        border-radius: 0 5px 5px 0;
        background-color: #fff;
        height: auto;
    }

    .btn-filter+.btn-filter,
    .btn-filter+.custom-date-picker {
        border-left: none;
    }

    .equal-height {
        display: flex;
        flex-wrap: wrap;
    }

    .equal-height .col-md-4,
    .equal-height .col-md-8 {
        display: flex;
        flex-direction: column;
    }

    .card {
        margin-bottom: 1rem;
    }

    .flex-fill {
        flex: 1;
    }

    .text-center {
        text-align: center;
    }
</style>
    <div class="row page-titles"
        >
        <div class="col-md-5 align-self-center">
            <h3 class="text-themecolor">Data Overview</h3>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li><a class="breadcrumb-item active" href="<?php echo e(url('/')); ?>">Home</a></li>
                    <li><a class="breadcrumb-item active" href="javascript:history.go(-1);">back</a></li>
                    
                </ol>
                
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            <div class="row justify-content-center">
                <div class="col-lg-4 col-md-6 text-center">
                    <!-- Card -->
                    <div class="card text-center">
                        <div class="card-body">
                            <h2 class="card-title text-primary"><?php echo e($newsFeedCount); ?></h2>
                            <h4 class="card-subtitle">Number of NewsFeed</h4>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6 text-center">
                    <!-- Card -->
                    <div class="card text-center">
                        <div class="card-body">
                            <h2 class="card-title text-primary"><?php echo e(round($openRate, 1)); ?></h2>
                            <h4 class="card-subtitle">Open Rate %</h4>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6 text-center">
                    <!-- Card -->
                    <div class="card text-center">
                        <div class="card-body">
                            <h2 class="card-title text-primary"><?php echo e(round($clickThroughRate, 1)); ?></h2>
                            <h4 class="card-subtitle">Click Through Rate %</h4>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center">
                <div class="card mx-auto col-md-10">
                    <div class="font-bold text-muted mb-3" style="text-align: center; font-size: small;">
                        Net Peak Times / Click Maps
                    </div>
                    <div class="button-group mb-3" style="display: flex; justify-content: center; align-items: center;">
                        <button class="btn-filter" style="flex: 1;" data-range="1hr">1 Hour</button>
                        <button class="btn-filter" style="flex: 1;" data-range="3hr">3 Hours</button>
                        <button class="btn-filter" style="flex: 1;" data-range="6hr">6 Hours</button>
                        <button class="btn-filter selected" style="flex: 1;" data-range="full">Full Day</button>
                        <input type="date" id="date-picker" class="custom-date-picker"
                            style="flex: 2; font-size: 72%; border-radius: 0.25rem; border: 1px solid #ced4da;">
                    </div>
                    <div class="flex-fill">
                        <canvas id="myChart" width="400" height="200"></canvas>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script>
         $(document).ready(function() {
            let data = <?php echo json_encode($peaktimeMap, 15, 512) ?>;
            let chart;

            // Initialize chart with the full range
            createChart('full');

            // Button filter functionality
            document.querySelectorAll('.btn-filter').forEach(button => {
                button.addEventListener('click', (event) => {
                    document.querySelectorAll('.btn-filter').forEach(btn => btn.classList.remove(
                        'selected'));
                    event.target.classList.add('selected');
                    const range = event.target.getAttribute('data-range');
                    createChart(range);
                });
            });

            // Date picker change event
            $('#date-picker').change(function() {
                const date = $(this).val();
                const newsfeed_id = $('#newsfeed_id').val();
                $.ajax({
                    url: '<?php echo e(route('getby-day-chart')); ?>',
                    method: 'GET',
                    data: {
                        date: date,
                    },
                    success: function(response) {
                        // Assuming response is an array containing the data object
                        const newData = response[0];
                        console.log(newData);
                        // Update the data object
                        data = {
                            ...data,
                            ...newData
                        };

                        // Get the currently selected filter and create the chart
                        const selectedRange = document.querySelector('.btn-filter.selected')
                            .getAttribute('data-range');
                        createChart(selectedRange);
                    },
                    error: function(xhr, status, error) {
                        console.error('AJAX Error: ' + status + error);
                    }
                });
            });

            // Function to create the chart
            function createChart(range) {
                const ctx = document.getElementById('myChart').getContext('2d');
                const chartData = data[range];

                if (chart) {
                    chart.destroy();
                }

                chart = new Chart(ctx, {
                    type: 'line',
                    data: {
                        labels: chartData.labels,
                        datasets: [{
                                label: 'Open',
                                data: chartData.open,
                                borderColor: 'blue',
                                backgroundColor: 'rgba(0, 0, 255, 0.2)',
                                fill: true,
                                tension: 0.4,
                                pointRadius: 4,
                                pointHoverRadius: 6,
                                pointBackgroundColor: 'blue',
                                pointBorderColor: 'blue',
                                pointHoverBackgroundColor: 'blue',
                                pointHoverBorderColor: 'blue',
                                borderRadius: 10
                            },
                            {
                                label: 'Click',
                                data: chartData.click,
                                borderColor: 'gray',
                                fill: true,
                                tension: 0.4,
                                pointRadius: 4,
                                pointHoverRadius: 6,
                                pointBackgroundColor: 'gray',
                                pointBorderColor: 'gray',
                                pointHoverBackgroundColor: 'gray',
                                pointHoverBorderColor: 'gray',
                                borderRadius: 0
                            }
                        ]
                    },
                    options: {
                        scales: {
                            x: {
                                title: {
                                    display: true,
                                    text: 'Time'
                                }
                            },
                            y: {
                                title: {
                                    display: true,
                                    text: 'Count'
                                },
                                beginAtZero: true,
                                suggestedMax: Math.max(...chartData.open, ...chartData.click) + 2
                            }
                        }
                    }
                });
            }
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\bizzfeed_admin_2024\resources\views/NewsFeed/NewsFeedOverview.blade.php ENDPATH**/ ?>